namespace GxPress.Common.Page
{
    /// <summary>
    /// 分页参数
    /// </summary>
    public class PageParameter
    {
        /// <summary>
        /// 页码
        /// </summary>
        //[Min(1)]
        public int Page { get; set; } = 1;

        /// <summary>
        /// 每页大小
        /// </summary>
        public int PerPage { get; set; } = 15;

        /// <summary>
        /// 排序字段
        /// </summary>
        public string Sort { get; set; }
    }
}