using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通讯录组
    /// </summary>
    [DataTable("tede_address_book_group")]
    public class AddressBookGroup : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn]
        public string GroupName { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
    }
}
