using System;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 后台管理员
    /// </summary>
    [DataTable("tede_admin")]
    public class Admin : Datory.Entity
    {
        /// <summary>
        /// 账号
        /// </summary>
        [DataColumn]
        public string Account { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [DataColumn]
        public string Password { get; set; }

        /// <summary>
        /// 后台用户菜单权限
        /// </summary>
        [DataColumn]
        public string Menus { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>
        [DataColumn]
        public string Phone { get; set; }
        /// <summary>
        /// 旧密码
        /// </summary>
        /// <value></value>
        public string OldPassword { get; set; }
        /// <summary>
        /// 新密码
        /// </summary>
        /// <value></value>
        public string NewPassword { get; set; }
        /// <summary>
        /// 电子邮箱
        /// </summary>
        [DataColumn]
        public string Email { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        [DataColumn]
        public string Sex { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int RoleId { get; set; }
        /// <summary>
        /// 登陆ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Ip { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime LoginTime { get; set; }
    }
}