using System.Data;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 手机数据报表
    /// </summary>
    [DataTable("tede_app_report")]
    public class AppReport : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 类型 1 财务 2出版 人事
        /// </summary>
        [DataColumn]
        public int ReportType { get; set; }
        /// <summary>
        /// 图片地址
        /// </summary>
        [DataColumn]
        public string IocUrl { get; set; }
    }
}
