using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// app首页导航分组
    /// </summary>
    [DataTable("tede_article_group")]
    public class ArticleGroup : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 系统默认
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsSystemDefault { get; set; }
        /// <summary>
        /// 是否中间页面
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsMiddleLable { get; set; }
        /// <summary>
        /// 中间页面ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MiddleLableId { get; set; }
        /// <summary>
        /// 样式
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string StyleCss { get; set; }
    }
}