using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知抄送
    /// </summary>
    [DataTable("tede_cc")]
    public class Cc : Datory.Entity
    {
        /// <summary>
        /// 来源ID
        /// </summary>
        [DataColumn]
        public int SourceId { get; set; }

         /// <summary>
        /// 来源类型
        /// </summary>
        [DataColumn]
        public int SourceType { get; set; }
        /// <summary>
        /// 抄送人ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 抄送人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }
       
    }
}
