using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 反馈意见
    /// </summary>
    [DataTable("tede_Feedback")]
    public class Feedback : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        ///反馈类型(1 功能异常 2 体验优化)
        /// </summary>
        [DataColumn]
        public int FeedbackType { get; set; }
        /// <summary>
        /// 反馈类容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }
    }
}
