using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 文件库
    /// </summary>
    [DataTable("tede_file_library")]
    public class FileLibrary : Datory.Entity
    {
        /// <summary>
        /// 文件名
        /// </summary>
        [DataColumn]
        public string FileName { get; set; }
        /// <summary>
        /// 文件类型
        /// </summary>
        [DataColumn]
        public string FileType { get; set; }
        /// <summary>
        /// 文件服务器地址
        /// </summary>
        [DataColumn]
        public string FileUrl { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

         /// <summary>
        /// 文件大小
        /// </summary>
        [DataColumn]
        public long Size { get; set; }
    }
}
