using Datory.Annotations;

namespace GxPress.Entity.Navigations
{
    /// <summary>
    /// 系统管理
    /// </summary>
    [DataTable("tede_navigation")]

    public class Navigation : Datory.Entity
    {
        /// <summary>
        /// 导航名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 中间件页面ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MiddleLableId { get; set; }
        /// <summary>
        /// 是否可以操作
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool Isoperate { get; set; }
        /// <summary>
        /// 终端 1 pc 2 移动端
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Terminal { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ActionUrl { get; set; }
    }
}