using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    ///个人通知文件夹
    /// </summary>
    [DataTable("tede_notice_folder")]
    public class NoticeFolder : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn]
        public string FolderName { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }
    }
}
