using Datory.Annotations;

namespace GxPress.Entity.RecordFolder
{
    /// <summary>
    /// 用户操作文件夹
    /// </summary>
    [DataTable("tede_record_folder")]
    public class RecordFolder : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FolderId { get; set; }
         /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string FolderName { get; set; }
        /// <summary>
        /// 文件夹类型 21 话题 4 笔记
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FolderType { get; set; }
    }
}