using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 角色组
    /// </summary>
    [DataTable("tede_role_group")]
    public class RoleGroup : Datory.Entity
    {
        /// <summary>
        /// 角色组名
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 角色组排序
        /// </summary>
        [DataColumn] 
        public int Sort { get; set; }
    }
}