using Datory.Annotations;

namespace GxPress.Entity.SystemLabel
{
    /// <summary>
    /// 特殊标签
    /// </summary>
    [DataTable("tede_special_label")]
    public class SpecialLabel : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 标题图片
        /// </summary>
        [DataColumn]
        public string ImageUrls { get; set; }
        /// <summary>
        /// 榜单 130 示范客厅 140  品牌专区1 150 品牌专区2 160 直播 170
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Remark { get; set; }
        /// <summary>
        /// 类型数据
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int DataTypeValue { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 中间件页面ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MiddleLable { get; set; }
    }
}