using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using Datory.Annotations;

namespace GxPress.Entity.Topic
{
    /// <summary>
    /// 话题分组
    /// </summary>
    [DataTable("tede_topic_group")]
    public class TopicGroup : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 包含个数
        /// </summary>
        [DataColumn]
        public int IncludeCount { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn] public int Sort { get; set; }
    }
}
