using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 用户头像管理
    /// </summary>
    [DataTable("tede_user_avatar")]
    public class UserAvatar : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
    }
}