using System;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 用户登录
    /// </summary>
    [DataTable("tede_user_login")]
    public class UserLogin : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>        
        [DataColumn]
        public int ALgID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>        
        [DataColumn]
        public string ClientIP { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [DataColumn]
        public long ResponseTime { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [DataColumn]
        public string AccessToken { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [DataColumn]
        public DateTime AccessTime { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [DataColumn]
        public string AccessApiUrl { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [DataColumn]
        public string AccessAction { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [DataColumn]
        public string QueryString { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [DataColumn]
        public string Body { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [DataColumn]
        public int HttpStatus { get; set; }
    }
}