using Datory.Annotations;

namespace GxPress.Entity.VerificationCode
{
    /// <summary>
    /// 验证文件
    /// </summary>
    [DataTable("tede_verification_code")]
    public class VerificationCode : Datory.Entity
    {
        /// <summary>
        /// 验证码6位数
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Code { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型 1 云文件夹
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 过期时间 分钟
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ExpireTime { get; set; }

        /// <summary>
        /// 禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
    }
}