using Datory.Annotations;

namespace GxPress.Entity.Visit
{
    /// <summary>
    /// 访问列表
    /// </summary>
    [DataTable("tede_visit")]
    public class Visit : Datory.Entity
    {
        /// <summary>
        /// 用户
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceId { get; set; }
    }
}