using System;
using System.Collections.Generic;
using System.Text;
using Datory.Annotations;

namespace GxPress.Entity.WaitHandle
{
    /// <summary>
    /// 待办事项
    /// </summary>
    [DataTable("tede_wait_handle")]
    public class WaitHandle : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }

        /// <summary>
        /// 是否执行
        /// </summary>
        [DataColumn]
        public bool IsExecute { get; set; }

        /// <summary>
        /// 闹钟时间
        /// </summary>
        [DataColumn]
        public string AlarmTime { get; set; }

        /// <summary>
        /// 提前多少分钟
        /// </summary>
        [DataColumn]
        public int Minute { get; set; }

        /// <summary>
        /// 等级 3 高 2 中 1 低
        /// </summary>
        [DataColumn]
        public int Level { get; set; }

        /// <summary>
        /// 标题ID
        /// </summary>
        [DataColumn]
        public int LabelId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 是否手动结束
        /// </summary>
        [DataColumn]
        public bool IsFinish { get; set; }
    }
}
