using Datory.Annotations;

namespace GxPress.Entity.WorkMeeting
{
    /// <summary>
    /// 预定会议
    /// </summary>
    [DataTable("tede_meeting_order")]
    public class MeetingOrder : Datory.Entity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 会议室Id
        /// </summary>
        [DataColumn] 
        public int RoomId { get; set; }

        /// <summary>
        /// 会议Id
        /// </summary>
        [DataColumn]
        public int MeetingId { get; set; }

        /// <summary>
        /// 预定时段
        /// </summary>
        [DataColumn]
        public int Date { get; set; }

        /// <summary>
        /// 预定时段
        /// </summary>
        [DataColumn] 
        public int Hour { get; set; }
    }
}