using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 流程发起限制
    /// </summary>
    [DataTable("tede_process_request_limit")]
    public class ProcessRequestLimit : Datory.Entity
    {
        /// <summary>
        /// 流程id
        /// </summary>
        [DataColumn] 
        public int ProcessId { get; set; }

        /// <summary>
        /// 部门id
        /// </summary>
        [DataColumn] 
        public int DepartmentId { get; set; }

        /// <summary>
        /// 角色id
        /// </summary>
        [DataColumn] 
        public int RoleId { get; set; }

        /// <summary>
        /// 用户id
        /// </summary>
        [DataColumn] 
        public int UserId { get; set; }
    }
}