using Datory.Annotations;

namespace GxPress.Entity.tede2.AppChannel
{
    /// <summary>
    /// app频道导航
    /// </summary>
    [DataTable("tede_app_channel_category")]
    public class ChannelCategory : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 扩展名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ExpandName { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 导航ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AppChannelId { get; set; }
    }
}