using Datory.Annotations;

namespace GxPress.Entity.tede2.AppChannel
{
    /// <summary>
    /// app频道导航
    /// </summary>
    [DataTable("tede_channel_category_media")]
    public class ChannelCategoryMedia : Datory.Entity
    {
        /// <summary>
        /// 导航ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ChannelCategoryId { get; set; }
        /// <summary>
        /// 资源ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MediaId { get; set; }
        /// <summary>
        /// 是否分类
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsCategory { get; set; }
    }
}