﻿using System;
using Datory.Annotations;

namespace GxPress.Entity.tede2.Media
{
    /// <summary>
    /// 类别
    /// </summary>
    [DataTable("tede_media_library")]
    public class MediaLibrary : Datory.Entity
    {
        /// <summary>
        /// 媒体id
        /// </summary>
        [DataColumn]
        public int MediaId { get; set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        [DataColumn]
        public string FileUrl { get; set; }
        /// <summary>
        /// 文件名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 章节名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string SectionName { get; set; }
        /// <summary>
        /// 类型 1 file 2 audio
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 章节Id
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string SectionId { get; set; }
    }
}
