using System;
using Datory.Annotations;

namespace GxPress.Entity.tede2.Organization
{
    /// <summary>
    /// 机构
    /// </summary>
    [DataTable("tede_organization")]
    public class Organization : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Address { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LinkName { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LinkPhone { get; set; }
        /// <summary>
        /// 开通状态 1 立即 2定时开通
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int OpenStatus { get; set; }
        /// <summary>
        /// 启用时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime OpenTime { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否到期关闭
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsClose { get; set; }
        /// <summary>
        /// 设备数量
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FacilityCount{get;set;}
    }
}