using Datory.Annotations;

namespace GxPress.Entity.tede2.SensitiveWord
{
    /// <summary>
    /// 敏感词库
    /// </summary>
    [DataTable("tede_sensitive_word")]
    public class SensitiveWord : Datory.Entity
    {
        /// <summary>
        /// 敏感名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 操作人员
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AdminId { get; set; }
        /// <summary>
        /// 操作人员名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Creator { get; set; }
    }
}