using Datory.Annotations;

namespace GxPress.Entity.tede2.VipEquity
{
    /// <summary>
    /// Vip权益
    ///</summary>
    [DataTable("tede_vip_equity")]
    public class VipEquity : Datory.Entity
    {
        /// <summary>
        /// IOS价格
        /// </summary>
        /// <value></value>
        [DataColumn]
        public decimal IosPrice { get; set; }
        /// <summary>
        /// 其他价格
        /// </summary>
        /// <value></value>
        [DataColumn]
        public decimal OtherPrice { get; set; }
        /// <summary>
        /// 1 月 2 季度 3 年 4连续月
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int VipType { get; set; }
    }
}