namespace GxPress.EnumConst
{
    /// <summary>
    /// 事项类型
    /// </summary>
    public enum FlowListTypeConst
    {
        /// <summary>
        /// 我审批的 - 待审批
        /// </summary>
        MyChecking,

        /// <summary>
        /// 我审批的 - 已审批
        /// </summary>
        MyChecked,

        /// <summary>
        /// 我发起的 - 待审批
        /// </summary>
        SubmittedChecking,

        /// <summary>
        /// 我发起的 - 已审批
        /// </summary>
        SubmittedChecked,

        /// <summary>
        /// 抄送我的 - 未读
        /// </summary>
        CcUnread,

        /// <summary>
        /// 抄送我的 - 全部
        /// </summary>
        CcAll,
    }
}