using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.AddressBookGroup
{
    /// <summary>
    /// 根据用户ID获取通讯录组
    /// </summary>
    public class AddressBookGroupSearchRequest
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 文件夹ID集合
        /// </summary>
        public List<int> FolderIds { get; set; }

        /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        public int ParendId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public AddressBookGroupSearchRequest()
        {
            FolderIds = new List<int>();
        }
    }
}
