using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.AddressBookGroup
{
    /// <summary>
    /// 通讯录添加用户
    /// </summary>
    public class AddressBookInUserRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public AddressBookInUserRequest()
        {
            UserIds=new List<int>();
            DepartmentIds=new List<int>();
            AddressBookGroupIds=new List<int>();
        }
        /// <summary>
        /// 用户ID
        /// </summary>
        public List<int> UserIds { get; set; } 
        /// <summary>
        /// 部门组ID
        /// </summary>
        public List<int> DepartmentIds { get; set; }
        /// <summary>
        /// 联系人组ID
        /// </summary>
        public List<int> AddressBookGroupIds { get; set; }

        /// <summary>
        /// 联系人组ID
        /// </summary>
        public int AddressBookGroupId { get; set; }

    }
}
