using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.AddressBookGroupUser
{
    /// <summary>
    /// 根据组ID查询所有用户
    /// </summary>
    public class AddressBookGroupUserSearchRequest
    {
        /// <summary>
        /// 组ID
        /// </summary>
        public int AddressBookGroupId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public AddressBookGroupUserSearchRequest()
        {
            UserIds = new List<int>();
        }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
    }
}
