namespace GxPress.Request.App.Analyze
{
    /// <summary>
    /// 文章 点赞 评论点赞 转发 收藏
    /// </summary>
    public class AnalyzeRequest
    {
        /// <summary>
        /// 数据来源ID
        /// </summary>
        public int SourceId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int CommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 文章点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        public int AnalyzeType { get; set; }

        /// <summary>
        ///状态 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 笔记收藏对应的用户ID
        /// </summary>
        /// <value></value>
        public int SourceUserId { get; set; }
    }
}