using GxPress.Common.Page;

namespace GxPress.Request.App.ElasticSearch
{
    /// <summary>
    /// 搜索条件
    /// </summary>
    public class ElasticSearchRequest : PageParameter
    {
        /// <summary>
        /// 值
        /// </summary>
        public string Key { get; set; }
        /// <summary>
        /// 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组 10聊天 100 通讯录
        /// </summary>
        public int SearchType { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
    }
}
