using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.IM
{
    /// <summary>
    /// 群添加
    /// </summary>
    public class InsertGroupChatUsersRequest
    {
        /// <summary>
        /// 群IMid
        /// </summary>
        public string GroupChatImId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public List<int> UserIds { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 来源状态 1申请 2邀请
        /// </summary>
        public int SourceType { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public InsertGroupChatUsersRequest()
        {
            UserIds = new List<int>();
        }
        /// <summary>
        /// 添加用户集合
        /// </summary>
        /// <value></value>
        public List<Entity.User> Users { get; set; }
        /// <summary>
        /// 是否创建
        /// </summary>
        /// <value></value>
        public bool IsFound { get; set; }
    }
}
