using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Middle
{
    /// <summary>
    /// 查找文件夹
    /// </summary>
    public class MiddleSearchFolderRequest
    {
        /// <summary>
        /// 文件夹父级ID
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组
        /// </summary>
        public int TypeId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID集合
        /// </summary>
        public List<int> FolderIds { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public MiddleSearchFolderRequest()
        {
            FolderIds = new List<int>();
        }
        /// <summary>
        /// 搜索
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
    }
}
