using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Middle
{
    /// <summary>
    /// 修改文件权限
    /// </summary>
    public class MiddleUpdateFolderRoleRequest
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string FolderName { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        public int MiddleId { get; set; }

        /// <summary>
        /// 权限ID 1普通 2私有 3共享
        /// </summary>
        public int RoleId { get; set; }

        /// <summary>
        /// 共享成员
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 新版人员选择
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> UserMiddles { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public MiddleUpdateFolderRoleRequest()
        {
            UserIds = new List<int>();
            UserMiddles = new List<UserMiddle.UserMiddleInRequest>();
        }
    }
}
