using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Request.App.Missive
{
    /// <summary>
    /// 查询字段 
    /// </summary>
    public class MissiveSearchRequest : PageParameter
    {
        /// <summary>
        /// 搜索字段
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 1 全部 2 我的 3 草稿箱 4已删除 5匿名信
        /// </summary>
        public int SearchType { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }
    }
}
