using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Request.App.Topic
{
    /// <summary>
    /// 
    /// </summary>
    public class TopicDetailListRequest : PageParameter
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public List<int> GroupIds { get; set; }
        /// <summary>
        /// 小组ID
        /// </summary>
        /// <value></value>
        public int GroupId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 搜索
        /// </summary>
        public string Key { get; set; }
        public TopicDetailListRequest()
        {
            GroupIds = new List<int>();
        }
        /// <summary>
        /// 是否草稿
        /// </summary>
        /// <value></value>
        public bool IsDraft { get; set; }
    }
}
