using System.Collections.Generic;
using GxPress.Common.Page;

namespace GxPress.Request.App.Topic
{
    /// <summary>
    /// 查询
    /// </summary>
    public class TopicPageSearchRequest : PageParameter
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 搜索关键词
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
        /// <summary>
        /// 话题分组ID
        /// </summary>
        public List<int> TopicGroupIds { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public TopicPageSearchRequest()
        {
            TopicGroupIds = new List<int>();
        }
        /// <summary>
        /// 是否查询自己
        /// </summary>
        /// <value></value>
        public bool IsAdmin { get; set; }
       
    }
}
