using System;

namespace GxPress.Request.App.WaitHandle
{
    /// <summary>
    /// 添加修改待办事项
    /// </summary>
    public class WaitHandleAddOrUpdateRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 是否执行
        /// </summary>
        public bool IsExecute { get; set; }
        /// <summary>
        /// 闹钟时间
        /// </summary>
        public string AlarmTime { get; set; }
        /// <summary>
        /// 提前多少分钟
        /// </summary>
        public int Minute { get; set; }
        /// <summary>
        /// 等级 3 高 2 中 1 低
        /// </summary>
        public int Level { get; set; }
        /// <summary>
        /// 标题ID
        /// </summary>
        public int LabelId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
    }
}
