﻿using System;
using Datory.Annotations;

namespace GxPress.Request.App.WorkCar
{
    public class CarRequest
    {
        /// <summary>
        /// 用车事由
        /// </summary>
        [DataColumn]
        public string Reasons { get; set; }

        /// <summary>
        /// 目的地
        /// </summary>
        [DataColumn]
        public string Destination { get; set; }

        /// <summary>
        /// 类型Id
        /// </summary>
        [DataColumn]
        public int TypeId { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartDate { get; set; }

        /// <summary>
        ///  结束时间
        /// </summary>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 预定时间
        /// </summary>
        public int Hour { get; set; }
    }
}
