﻿using System;
using System.Collections.Generic;
using GxPress.Entity.WorkMeeting;

namespace GxPress.Request.App.WorkMeeting
{
    /// <summary>
    /// 新增会议纪要
    /// </summary>
    public class MeetingSummaryRequest
    {
        /// <summary>
        /// 会议Id
        /// </summary>
        public int MeetingId { get; set; }

        /// <summary>
        /// 发送范围
        /// </summary>
        public List<int> UserIds { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 正文
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public MeetingSummaryRequest()
        {
            AddresseeUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
        }
    }
}
