using GxPress.Common.Page;

namespace GxPress.Request.Article
{
    /// <summary>
    /// 用户列表搜索
    /// </summary>
    public class ArticleSearchRequest : PageParameter
    {
        /// <summary>
        /// 搜索关键词
        /// </summary>
        /// <value></value>
        public string Keyword {get;set;}
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 文章组ID
        /// </summary>
        public int GroupId { get; set; }
    }
}