using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.ArticleAnalyze
{
    /// <summary>
    ///  点赞 评论点赞 转发 收藏
    /// </summary>
    public class ArticleAnalyzeRequest
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        public int ArticleId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int CommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        public int ArticleAnalyzeType { get; set; }

        /// <summary>
        /// 状态 10 会议纪要 0 文章 2 话题 3 通知 4 笔记 
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
    }
}
