namespace GxPress.Request.Comment
{
    /// <summary>
    /// 文章评论
    /// </summary>
    public class CommentInRequest
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        public int ArticleId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public int Pid { get; set; }

        /// <summary>
        /// 状态 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }

        /// <summary>
        /// 评分
        /// </summary>
        /// <value></value>
        public decimal Score { get; set; }

        /// <summary>
        /// HTML内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// json内容
        /// </summary>
        public string JsonContent { get; set; }
    }
}
