namespace GxPress.Request.Comment
{
    /// <summary>
    /// 修改评论内容
    /// </summary>
    public class CommentUpdateRequest
    {
        /// <summary>
        /// 评论的ID
        /// </summary>
        /// <value></value>
        public int CommentId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 评分
        /// </summary>
        /// <value></value>
        public decimal Score { get; set; }
        
        public string JsonContent{get;set;}

        public string HtmlContent{get;set;}
    }
}