using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.GroupChat
{
    /// <summary>
    /// 添加
    /// </summary>
    public class GroupChatInRequest
    {
        /// <summary>
        /// 群名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 群介绍
        /// </summary>
        public string Introduce { get; set; }

        /// <summary>
        /// 群头像
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 群主ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 环信ID
        /// </summary>
        public string GroupChatImId { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>
        public bool IsWords { get; set; }

        /// <summary>
        /// 是否管理员同意
        /// </summary>
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 成员ID
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 添加的用户
        /// </summary>
        /// <value></value>
        public List<Entity.User> Users { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }
    }
}
