using System.Collections.Generic;

namespace GxPress.Request.Menu
{
    /// <summary>
    /// 
    /// </summary>
    public class MenuInRequest
    {
        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        public int ParentId { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 图标名称
        /// </summary>
        /// <value></value>
        public string Icon { get; set; }
        /// <summary>
        /// 孩子
        /// </summary>
        /// <value></value>
        public List<MenuInRequest> Children { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string Path { get; set; }
        /// <summary>
        /// 是否新增
        /// </summary>
        /// <value></value>
        public bool IsUp { get; set; }

    }
}