using System.Collections.Generic;

namespace GxPress.Request.Navigation
{
    /// <summary>
    /// 添加
    /// </summary>
    public class MiddleLableInRequest
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航栏ID
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
       
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用 1 设置 2取消
        /// </summary>
        /// <value></value>

        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否开启搜索
        /// </summary>
        /// <value></value>

        public bool IsSearch { get; set; }
        /// <summary>
        /// 是否开启轮播
        /// </summary>
        /// <value></value>

        public bool IsSlide { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }

         /// <summary>
        ///  标签
        /// </summary>
        /// <value></value>
        public List<MiddleLableNexusUpRequest> MiddleLableNexusUpRequests { get; set; }
    }
    /// <summary>
    /// 修改
    /// </summary>
    public class MiddleLableUpRequest
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航栏ID
        /// </summary>
        /// <value></value>

        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用 1 设置 2取消
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
        /// <summary>
        /// 是否开启搜索
        /// </summary>
        /// <value></value>

        public int IsSearch { get; set; }
        /// <summary>
        /// 是否开启轮播
        /// </summary>
        /// <value></value>

        public int IsSlide { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }
        /// <summary>
        ///  标签
        /// </summary>
        /// <value></value>
        public List<MiddleLableNexusUpRequest> MiddleLableNexusUpRequests { get; set; }
    }
    /// <summary>
    /// 修改
    /// </summary>
    public class MiddleLableNexusUpRequest
    {
        /// <summary>
        /// 中间页面ID
        /// </summary>
        /// <value></value>

        public int MiddleLableId { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        /// <value></value>

        public int LableId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
    }
}