
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.Notice
{



    /// <summary>
    /// 用户删除通知
    /// </summary>
    public class NoticeDeRequest
    {
        /// <summary>
        /// 收件人ID
        /// </summary>
        public List<int> MiddleIds { get; set; }
        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7 小组 12收藏 13笔记
        /// </summary>
        public int FolderType { get; set; }
        /// <summary>
        /// 是否永久删除
        /// </summary>
        /// <value></value>
         public bool IsDelete{get;set;}
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId{get;set;}
    }
}

