using GxPress.Common.Page;

namespace GxPress.Request.Notice
{
    /// <summary>
    /// 通知查询
    /// </summary>
    public class NoticePageSearchRequest : PageParameter
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 0 全部 1 我的 2草稿 3已删除 15 我审批的 16我发出的 17抄送我的  18 匿名信  5 通知 6 站内信
        /// </summary>
        public int SearchType { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int NoticeFolderId { get; set; }

        /// <summary>
        /// 搜索关键词
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }
}
