namespace GxPress.Request.Pay
{
    /// <summary>
    /// 支付
    /// </summary>
    public class PayRequest
    {
        /// <summary>
        /// 1 月 2 季度 3 年 4连续月
        /// </summary>
        /// <value></value>
        public int VipType { get; set; }
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 支付方式 1 微信 2支付宝
        /// </summary>
        /// <value></value>
        public int PayWayType { get; set; }
        /// <summary>
        /// 设置异步通知接收地址 支付宝独有
        /// </summary>
        /// <value></value>
        public string NotifyUrl { get; set; }
    }
}