using System.Collections.Generic;

namespace GxPress.Request.Role
{
    /// <summary>
    /// 添加角色和权限
    /// </summary>
    public class RoleInRequest
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 菜单
        /// </summary>
        /// <value></value>
        public List<SystemRoleMenuInRequest> SystemRoleMenuInRequest { get; set; }
    }
    /// <summary>
    /// 权限关联
    /// </summary>
    public class SystemRoleMenusInRequest
    {
        /// <summary>
        /// 权限
        /// </summary>
        /// <value></value>
        public int RoleId { get; set; }
        /// <summary>
        /// 菜单
        /// </summary>
        /// <value></value>
        public List<SystemRoleMenuInRequest> SystemRoleMenuInRequest { get; set; }
    }
    /// <summary>
    /// 菜单ID列表
    /// </summary>
    public class SystemRoleMenuInRequest
    {

        /// <summary>
        /// 菜单ID
        /// </summary>
        /// <value></value>
        public int MenuId { get; set; }
    }
}