namespace GxPress.Request.SystemLabel
{
    /// <summary>
    /// 
    /// </summary>
    public class SystemLabelRequest:Common.Page.PageParameter
    {
        /// <summary>
        /// 0 标签 1 明栏
        /// </summary>
        /// <value></value>
       public int TypeValue{get;set;}
    }
    /// <summary>
    /// 修改系统标签
    /// </summary>
    public class SystemLabelUpRequest
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>

        public string LabelName { get; set; }

        /// <summary>
        /// 标签名称描述
        /// </summary>
        /// <value></value>

        public string LabelNameDescribe { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>

        public string Remark { get; set; }

        /// <summary>
        /// 是否禁用1 设置 2取消
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }

        /// <summary>
        /// 是否跳转 1 设置 2取消
        /// </summary>
        /// <value></value>

        public int IsSkip { get; set; }

        /// <summary>
        /// 是否分页 1 设置 2取消
        /// </summary>
        /// <value></value>

        public int IsPage { get; set; }
        /// <summary>
        /// 分页条数
        /// </summary>
        /// <value></value>
        public int PageSize { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
        /// <summary>
        /// 资源类型
        /// </summary>
        /// <value></value>

        public int ResourceType { get; set; }

        /// <summary>
        /// 样式类型
        /// </summary>
        /// <value></value>

        public string StyleType { get; set; }
        /// <summary>
        /// 是否显示标签名称 1 设置 2取消
        /// </summary>
        /// <value></value>
        public int IsShowLabelName { get; set; }
         /// <summary>
        /// 是否明栏 1 设置 2取消
        /// </summary>
        /// <value></value>
        public int IsStarLable { get; set; }
    }
}