using System.Collections.Generic;

namespace GxPress.Request.User
{
    /// <summary>
    /// 姓名搜索用户
    /// </summary>
    public class SearchUserNameRequest
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Key { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        /// <value></value>
        public int DepartmentId { get; set; }
        /// <summary>
        /// 搜索类型 1 部门 2 自建 0全部
        /// </summary>
        /// <value></value>
        public int SearchType { get; set; }
        /// <summary>
        /// 排除userID
        /// </summary>
        /// <value></value>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public SearchUserNameRequest()
        {
            UserIds = new List<int>();
        }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
    }
}
