using System.ComponentModel.DataAnnotations;
using GxPress.Common.Validation;

namespace GxPress.Request.User
{
    /// <summary>
    /// 用户登录
    /// </summary>
    public class UserSignInRequest
    {
        /// <summary>
        /// 手机号
        /// </summary>
        //[Mobile]
        public string Phone { get; set; }

        /// <summary>
        /// 验证码
        /// </summary>
        //[MaxLength(6)]
        public string Code { get; set; }
        /// <summary>
        /// 微信OpenId
        /// </summary>
        /// <value></value>
        public string OpenId { get; set; }
    }
}