using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity;

namespace GxPress.Result.AddressBookGroupUser
{
    /// <summary>
    /// 
    /// </summary>
    public class AddressBookGroupUserListResult
    {
        /// <summary>
        /// 自建工作组
        /// </summary>
        public IEnumerable<Entity.AddressBookGroup> AddressBookGroups { get; set; }
        /// <summary>
        /// 自建组成员
        /// </summary>
        public IEnumerable<AddressBookGroupUserModel> AddressBookGroupUsers { get; set; }
    }
    /// <summary>
    ///自建组成员
    /// </summary>
    public class AddressBookGroupUserModel
    {
        /// <summary>
        /// 通讯录序列ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 户用ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 通讯录组ID
        /// </summary>
        public int AddressBookGroupId { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>
        public string ImId { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
    }
}
