﻿using System.Collections.Generic;

namespace GxPress.Result.App.Flow
{
    /// <summary>
    /// 待办事项
    /// </summary>
    public class FlowListResult : Entity.WorkFlow.Flow
    {
        /// <summary>
        /// 待办Id
        /// </summary>
        public int TodoId { get; set; }

        /// <summary>
        /// 当前页
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 每页显示多少项
        /// </summary>
        public List<string> Summaries { get; set; }
    }
}
