﻿using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity.WorkProcessDto;

namespace GxPress.Result.App.Flow
{
    public class NodeResult
    {
        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 动作类型
        /// </summary>
        public string Action { get; set; }

        /// <summary>
        /// 执行时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 审核/抄送意见
        /// </summary>
        public string Message {get;set;}

        /// <summary>
        /// 附件列表
        /// </summary>
        public IEnumerable<string> FileUrls { get; set; }
    }
}
