using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity.Middle;

namespace GxPress.Result.App.Middle
{
    /// <summary>
    /// 文件夹信息
    /// </summary>
    public class MiddleFolderInfoResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string FolderName { get; set; }
        /// <summary>
        /// 1 公开 2 私有 3 共享
        /// </summary>
        public int RoleId { get; set; }
        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组 10信源
        /// </summary>
        public int FolderType { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }

        /// <summary>
        /// 共享成员
        /// </summary>
        public IEnumerable<FolderUser> FolderUsers { get; set; }

        /// <summary>
        /// 共享成员
        /// </summary>
        /// <value></value>
        public string EnjoyUser { get; set; }

        /// <summary>
        /// 新版选择用户
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> UserMiddles { get; set; }
    }
}
