namespace GxPress.Result.App.User
{
    /// <summary>
    /// 用户数量
    /// </summary>
    public class UserCountResult
    {
        /// <summary>
        /// 收件箱
        /// </summary>
        /// <value></value>
        public int InboxCount { get; set; }
        /// <summary>
        /// 通知未读数量
        /// </summary>
        /// <value></value>
        public int noticeCount { get; set; }
        /// <summary>
        /// 站内信未读数量
        /// </summary>
        /// <value></value>
        public int missiveCount { get; set; }
        /// <summary>
        /// 工作我的审批未读数量
        /// </summary>
        /// <value></value>
        public int FlowAuditUReadCount { get; set; }

        /// <summary>
        /// 工作我发起的未读数量
        /// </summary>
        /// <value></value>
        public int FlowSendUReadCount { get; set; }

        /// <summary>
        /// 工作抄送我的未读数量
        /// </summary>
        /// <value></value>
        public int FlowCcUReadCount { get; set; }
        /// <summary>
        /// 获取未待办工作
        /// </summary>
        /// <value></value>
        public int WaitHandleUFinishCount { get; set; }
    }
}