using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Result
{
    /// <summary>
    /// App返回
    /// </summary>
    public class AppResult<TItem>
    {
        /// <summary>
        /// 状态码
        /// </summary>
        public int Code { get; set; }
        /// <summary>
        /// 消息
        /// </summary>
        public string Msg { get; set; }
        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool Success { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public IEnumerable<TItem> Data { get; set; }
    }

    public class AppResultJson<TItem>
    {
        /// <summary>
        /// 状态码
        /// </summary>
        public int Code { get; set; }
        /// <summary>
        /// 消息
        /// </summary>
        public string Msg { get; set; }
        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool Success { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public TItem Data { get; set; }
    }
}
