namespace GxPress.Result.ArticleGroupUser
{
    /// <summary>
    /// 用户频道结果集
    /// </summary>
    public class ArticleGroupUserListResult
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 文章组ID
        /// </summary>
        public int ArticleGroupId { get; set; }
        /// <summary>
        /// 频道名称
        /// </summary>
        public string ArticleGroupName { get; set; }
        /// <summary>
        /// 样式
        /// </summary>
        /// <value></value>
        public string StyleCss { get; set; }
        /// <summary>
        /// 系统默认
        /// </summary>
        /// <value></value>
        public bool IsSystemDefault { get; set; }
    }
}
