using System.Collections.Generic;

namespace GxPress.Result.Category
{
    /// <summary>
    /// 类别
    /// </summary>
    public class CategoryResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>

        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        public List<CategoryResult> Children { get; set; }
        /// <summary>
        /// 媒体集合
        /// </summary>
        /// <value></value>
        public List<int> MediaIds { get; set; }
         /// <summary>
        /// 类型0 pc 1 app
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
    }
}