using System.Collections.Generic;

namespace GxPress.Result.DataCenter
{
    /// <summary>
    /// 内容数据
    /// </summary>
    public class ContentDataResult
    {
        /// <summary>
        /// 平台内容数据
        /// </summary>
        /// <value></value>
        public List<PlatformContentDataInfoResult> PlatformContentDataInfoResult { get; set; }
        /// <summary>
        /// 内容类型分布图
        /// </summary>
        public List<ContentTypeDistributingResult> ContentTypeDistributingResult { get; set; }
        /// <summary>
        /// 内容科学分布图
        /// </summary>
        public List<ContentOlogyDistributingResult> ContentOlogyDistributingResult { get; set; }
        /// <summary>
        /// 收费内容统计图
        /// </summary>
        public PayContentstatisticsResult PayContentstatisticsResult { get; set; }
        /// <summary>
        /// 内容增长情况图
        /// </summary>
        public ContentIncreaseResult ContentIncreaseResult { get; set; }
    }
    /// <summary>
    /// 平台内容数据
    /// </summary>
    public class PlatformContentDataInfoResult
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Type { get; set; }
        /// <summary>
        /// 值
        /// </summary>
        /// <value></value>
        public int Value { get; set; }
        /// <summary>
        /// item
        /// </summary>
        /// <value></value>
        public List<PlatformContentDataInfoItemResult> Item { get; set; }
    }
    /// <summary>
    /// 平台内容数据Item
    /// </summary>
    public class PlatformContentDataInfoItemResult
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Type { get; set; }
        /// <summary>
        /// 值
        /// </summary>
        /// <value></value>
        public int Value { get; set; }
    }
}