using System.Collections.Generic;

namespace GxPress.Result.Department
{
    /// <summary>
    /// 部门
    /// </summary>
    public class DepartmentResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 父级部门id
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 部门主管id
        /// </summary>
        public int LeaderId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 用户成员
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }

        public int TypeId { get; set; }

        public int TypeValue { get; set; }
    }

    public class DepartmentUserInsResult
    {
        public List<DepartmentUserInResult> Result { get; set; }
    }
    public class DepartmentUserInResult
    {
        public int DepartmentId { get; set; }
        public List<Entity.Department> Item { get; set; }

    }
}