using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Result.Feedback
{
    /// <summary>
    /// 意见反馈分页显示数据
    /// </summary>
    public class FeedbackPageResult
    {
        /// <summary>
        /// 序列id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        ///反馈类型(1 功能异常 2 体验优化)
        /// </summary>
        public int FeedbackType { get; set; }
        /// <summary>
        /// 反馈类容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        public string Name { get; set; }
    }
}
