using System.Collections.Generic;

namespace GxPress.Result.HumanAffairs
{
    /// <summary>
    /// 人事数据显示
    /// </summary>
    public class HumanAffairsResult
    {
        /// <summary>
        /// 总人数
        /// </summary>
        public int PersonCount { get; set; }
        /// <summary>
        /// 工资
        /// </summary>
        public int Salary { get; set; }
        /// <summary>
        /// 同比月增长
        /// </summary>
        public int ComparedMonthCount { get; set; }
        /// <summary>
        /// 同比月增长多少金额
        /// </summary>
        public int ComparedMonthAmount { get; set; }
        /// <summary>
        /// 数据
        /// </summary>
        public List<HumanAffairsChartData> HumanAffairsChartDataResult { get; set; }
    }
    /// <summary>
    /// 人数图像数据
    /// </summary>
    public class HumanAffairsChartData
    {
        /// <summary>
        /// 导航数
        /// </summary>
        public int NavigationNumber { get; set; }
        /// <summary>
        /// 结果数
        /// </summary>
        public int ResultParameter { get; set; }
    }
}
