using System.Collections.Generic;

namespace GxPress.Result.MiddleLable
{
    /// <summary>
    /// 查询
    /// </summary>
    public class MiddleLableResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航栏ID
        /// </summary>
        /// <value></value>
       
        public string Name { get; set; }
    
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
       
        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
       
        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否开启搜索
        /// </summary>
        /// <value></value>
       
        public bool IsSearch { get; set; }
        /// <summary>
        /// 是否开启轮播
        /// </summary>
        /// <value></value>
       
        public bool IsSlide { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>
       
        public int TypeId { get; set; }

        /// <summary>
        /// 标签
        /// </summary>
        /// <value></value>
        public List<MiddleLableNexusResult> MiddleLableNexusResults { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class MiddleLableNexusResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 中间页面ID
        /// </summary>
        /// <value></value>

        public int MiddleLableId { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        /// <value></value>

        public int LableId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string MiddleLableName { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
    }

}