using System;
using System.Collections.Generic;

namespace GxPress.Result.Organization
{
    public class OrganizationRequest
    {

    }
    /// <summary>
    /// 机构搜索
    /// </summary>
    public class OrganizationListRequest : Common.Page.PageParameter
    {
        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
    }
    /// <summary>
    /// 机构修改
    /// </summary>
    public class OrganizationUpdateRequest
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        public string Address { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        /// <value></value>
        public string LinkName { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        /// <value></value>
        public string LinkPhone { get; set; }
        /// <summary>
        /// 开通状态 1 立即 2定时开通
        /// </summary>
        /// <value></value>
        public int OpenStatus { get; set; }
        /// <summary>
        /// 启用时间
        /// </summary>
        /// <value></value>
        public string OpenTime { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public string EndTime { get; set; }
        /// <summary>
        /// 是否禁用 1禁用 2未禁用
        /// </summary>
        /// <value></value>
        public int IsDisable { get; set; }
        /// <summary>
        /// 1关闭 2开启
        /// </summary>
        /// <value></value>
        public int IsClose { get; set; }
         /// <summary>
        /// 设备数量
        /// </summary>
        /// <value></value>
        public int FacilityCount{get;set;}
    }
    /// <summary>
    /// 修改启用停用
    /// </summary>
    public class OrganizationUpdateDisableRequest
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public List<int> Ids { get; set; }
        /// <summary>
        /// 启用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
    }
}