using GxPress.EnumConst;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace GxPress.Result.Process
{
    /// <summary>
    /// 流程基本信息
    /// </summary>
    public class ProcessBaseInfoResult
    {
        /// <summary>
        /// 流程id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 工作流组id
        /// </summary>
        public int GroupId { get; set; }

        /// <summary>
        /// 图标url
        /// </summary>
        public string IconUrl { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 状态
        /// ProcessStatus
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 限制类型
        /// LimitType
        /// </summary>
        public string LimitType { get; set; }

        //TODO 如果有限制,限制人的展示方式?
    }
}