using System;
using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Result.Process
{
    /// <summary>
    /// 流程表单定义
    /// </summary>
    public class ProcessFormSettingResult
    {
        /// <summary>
        /// 字段id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 流程id
        /// </summary>
        public int ProcessId { get; set; }

        /// <summary>
        /// 字段显示名称
        /// </summary>
        public string Label { get; set; }

        /// <summary>
        /// 字段类型
        /// ProcessFieldType
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// 输入提示
        /// </summary>
        public string Placeholder { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }

        /// <summary>
        /// 是否必填(只有必填项才可以作为审批条件)
        /// </summary>
        public bool Required { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 字段选项
        /// </summary>
        public IEnumerable<string> Options { get; set; }
    }
}