using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.EnumConst;
using GxPress.Result.AppChannel;

namespace GxPress.Repository.Interface.AppChannel
{
    public interface IAppChannelRepository : IRepository
    {
        /// <summary>
        /// 获取详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Entity.tede2.AppChannel.AppChannel> GetAsync(int id);

        /// <summary>
        /// 查询
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<AppChannelResult>> GetAllAsync(AppChannelConst channelTypeValue);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> UpdateAsync(Entity.tede2.AppChannel.AppChannel request);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(Entity.tede2.AppChannel.AppChannel model);
    }
}