using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Request.App.ChatRecord;
using GxPress.Result.App.ChatRecord;
using Datory;
using GxPress.Common.Page;
using GxPress.Entity;

namespace GxPress.Repository.Interface
{
    /// <summary>
    /// 
    /// </summary>
    public interface IChatRecordRepository : IRepository
    {
        Task<bool> InsertAsync(ChatRecordInRequest request);

        /// <summary>
        /// 获取聊天历史
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<ChatRecordSearchHistoryResult>> SearchChatRecordHistoryAsync(
            ChatRecordSearchHistoryRequest request);

        Task<IEnumerable<ChatRecord>> GetAllAsync();
    }
}
