using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Result.Job;

namespace GxPress.Repository.Interface.Job
{
    public interface IJobRepository : IRepository
    {
        /// <summary>
        /// 执行话题
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<JobTopicResult>> ExecuteTopic();
    }
}