using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.AppChannel;

namespace GxPress.Service.Implement.AppHomePage
{
    public partial class AppHomePageService
    {
        /// <summary>
        /// 书籍SKU
        /// </summary>
        /// <returns></returns>
        public async Task<SkuResult> SkuResultAsync()
        {
            var result = new SkuResult();
            result.SortSift = new List<SortSift>() {new SortSift{Key=0,Value="全部"}
            ,new SortSift{Key=1,Value="最热"} ,new SortSift{Key=2,Value="最新"},new SortSift{Key=3,Value="好评"}};
            //出版社
            var pressList = await mediaRepository.GetPresssAsync();
            var PressSiftList = new List<PressSift>();
            PressSiftList.Add(new PressSift { Key = 0, Value = "全部" });
            foreach (var item in pressList)
                PressSiftList.Add(new PressSift { Key = 0, Value = item });
            result.PressSift = PressSiftList;
            return result;
        }
    }
}