using System.Threading.Tasks;
using GxPress.Request.AddressBookGroup;
using GxPress.Request.AddressBookGroupUser;

namespace GxPress.Service.Interface.AddressBookGroup
{
    public interface IAddressBookGroupService : IService
    {
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<Entity.AddressBookGroup> InsertAsync(AddressBookGroupInRequest request);
        /// <summary>
        /// 删除自建小组用户
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> DeleteAddressBookGroupUserAsync(AddressBookGroupUserDeleteRequest request);
    }
}