using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Request.Article;
using GxPress.Request.ArticleAnalyze;
using GxPress.Result.Article;

namespace GxPress.Service.Interface.Article
{
   public interface IArticleService:IService
   {

       /// <summary>
       /// 获取文章详情
       /// </summary>
       /// <param name="id"></param>
       /// <param name="userId"></param>
       /// <returns></returns>
       Task<ArticleResult> GetAsync(int id,int userId);

       /// <summary>
        /// 添加
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
         Task<ArticleResult> AddAsync(ArticleAddRequest request);

         Task<ArticleResult> EditAsync(ArticleEditRequest request);
   }
}
