using System.Threading.Tasks;
using GxPress.Request.Navigation;
using GxPress.Result.MiddleLable;

namespace GxPress.Service.Interface.Navigation
{
    public interface IMiddleLableService : IService
    {
        Task<bool> InsertAsync(MiddleLableInRequest request);
          /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);

        Task<bool> UpdateAsync(MiddleLableUpRequest request);
          /// <summary>
        /// 详情
        /// </summary>
        /// <param name="middleLableId"></param>
        /// <returns></returns>
        Task<MiddleLableResult> GetMiddleLableResultAsync(int middleLableId);
    }
}