using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.WechatPay;

namespace GxPress.Service.Interface.Order
{
    public interface IOrderService : IService
    {
        /// <summary>
        /// 创建微信订单
        /// </summary>
        /// <param name="data"></param>
        /// <returns></returns>
        Task<bool> InsertWxOrderAsync(WxPayData data);
        /// <summary>
        /// 支付宝
        /// </summary>
        /// <param name="sArray"></param>
        /// <returns></returns>
        Task<bool> InsertAliPayOrderAsync(Dictionary<string, string> sArray);
    }
}