using System.Threading.Tasks;
using GxPress.Request.App.VerificationCode;

namespace GxPress.Service.Interface.VerificationCode
{
    public interface IVerificationCodeService : IService
    {
        /// <summary>
        /// 生成验证码
        /// </summary>
        /// <returns></returns>
        Task<string> GetCodeAsync(int userId);

        /// <summary>
        /// 生成验证码
        /// </summary>
        /// <returns></returns>
        Task<bool> ConfirmationCodeAsync(VerificationCodeRequest request);
        /// <summary>
        /// 持久连接验证码
        /// </summary>
        /// <returns></returns>
        Task<bool> LastingConfirmationCodeAsync(VerificationCodeRequest request);
    }
}