using System.Threading.Tasks;

namespace GxPress.Service.Interface.Visit
{
    public interface IVisitService : IService
    {
        /// <summary>
        /// /// 添加/数据条数
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="typeId">类型ID 类型1文章 2话题 3 收藏 4笔记 5通知 6站内信 7小组 8 会议详情</param>
        /// <param name="sourceId"></param>
        /// <returns></returns>
        Task<bool> AddVisit(int userId, int typeId, int sourceId);

        /// <summary>
        /// 获取访问数量
        /// </summary>
        /// <param name="typeId"></param>
        /// <param name="sourceId"></param>
        /// <returns></returns>
        Task<int> GetCountAsync(int typeId, int sourceId);
    }
}