﻿using System;
using Tede.Data.Tests.Utils;
using Xunit;
using Xunit.Abstractions;

namespace Tede.Data.Tests
{
    public class DatabaseTests : IClassFixture<UnitTestsFixture>
    {
        private UnitTestsFixture _fixture { get; }
        private readonly ITestOutputHelper _output;

        public DatabaseTests(UnitTestsFixture fixture, ITestOutputHelper output)
        {
            _fixture = fixture;
            _output = output;

            _output.WriteLine(Environment.MachineName);
        }
    }
}