using System;
using GxPress.EnumConst;

namespace GxPress.Auth
{
    /// <summary>
    /// 登录用户上下文
    /// </summary>
    public interface ILoginContext
    {
        /// <summary>
        /// 账户id
        /// </summary>
        int AccountId { get; }

        int DepartmentId { get; }

        /// <summary>
        /// 账户类型
        /// </summary>
        AccountTypeConst AccountType { get; }

        /// <summary>
        /// 获取当前用户IP
        /// </summary>
        string Ip { get; }

        string Name { get; }
    }
}