using Datory.Annotations;

namespace GxPress.Entity.ArticleLabel
{
    /// <summary>
    /// 文章标签关联表
    /// </summary>
    [DataTable("tede_article_inner_label")]
    public class ArticleInnerLabel : Datory.Entity
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ArticleId { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        /// <value></value>
         [DataColumn]
        public int ArticleLabelId { get; set; }
    }
}