using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 屏蔽文章类型
    /// </summary>
    [DataTable("tede_blacklist_article")]
    public class BlacklistArticle:Datory.Entity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 屏蔽类型(1 屏蔽他 2 不感兴趣)
        /// </summary>
        [DataColumn]
        public int BlacklistType { get; set; }
        /// <summary>
        /// 屏蔽值
        /// </summary>
        [DataColumn]
        public string BlacklistValue { get; set; }
    }
}
