using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 黑名单
    /// </summary>
    [DataTable("tede_blacklist_user")]
    public class BlacklistUser : Datory.Entity
    {
        /// <summary>
        /// 主ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 黑名单用户ID
        /// </summary>
        [DataColumn]
        public int BlackUserId { get; set; }
        /// <summary>
        /// 黑名单用户名
        /// </summary>
        [DataColumn]
        public string BlackUserName { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>
        [DataColumn]
        public string ImId { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

    }
}
