using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 财务数据表
    /// </summary>
    [DataTable("tede_finance")]
    public class Finance : Datory.Entity
    {
        /// <summary>
        /// 金额
        /// </summary>
        [DataColumn]
        public int Amount { get; set; }

        /// <summary>
        /// 类型: 1:收入 2:支出 3:利润
        /// </summary>
        [DataColumn]
        public int FinanceType { get; set; }

        /// <summary>
        /// 录入时间
        /// </summary>
        [DataColumn]
        public DateTime EnteringDateTime { get; set; }

    }
}

