using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 好友列表
    /// </summary>
    [DataTable("tede_friends")]
    public class Friends : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 好友ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FriendsUserId { get; set; }
        /// <summary>
        /// 自建小组ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AddressBookGroupId { get; set; }
    }
}