using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 群聊群
    /// </summary>
    [DataTable("tede_group_chat")]
    public class GroupChat : Datory.Entity
    {
        /// <summary>
        /// 群名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 群介绍
        /// </summary>
        [DataColumn]
        public string Introduce { get; set; }

        /// <summary>
        /// 群头像
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 群主ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 群聊环信ID
        /// </summary>
        [DataColumn]
        public string GroupChatImId { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>
        [DataColumn]
        public bool IsWords { get; set; }

        /// <summary>
        /// 是否管理员同意
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        [DataColumn]
        public string QRCoder { get; set; }

        /// <summary>
        /// 打开关闭二维码
        /// </summary>
        [DataColumn]
        public bool IsOpenQrCoder { get; set; }
        /// <summary>
        /// 人数
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }
    }
}
