using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 群成员
    /// </summary>
    [DataTable("tede_group_chat_user")]
    public class GroupChatUser : Datory.Entity
    {
        /// <summary>
        /// 群ID
        /// </summary>
        [DataColumn] public int GroupChatId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn] public int UserId { get; set; }
        /// <summary>
        /// 是否免打扰
        /// </summary>
        [DataColumn] public bool IsDisturb { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn] public bool IsTop { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>
        [DataColumn] public string ImId { get; set; }

        /// <summary>
        /// 是否是管理员
        /// </summary>
        [DataColumn] public bool IsAdmin { get; set; }
        /// <summary>
        /// 群ImId
        /// </summary>
        [DataColumn] public string GroupChatImId { get; set; }
        /// <summary>
        /// 是否加入到通讯录
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsContacts { get; set; }
    }
}
