using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 小组文件夹
    /// </summary>
    [DataTable("tede_group_folder")]
    public class GroupFolder : Datory.Entity
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 创建人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }
    }
}
