using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 人事数据
    /// </summary>
    [DataTable("tede_human_affairs")]
    public class HumanAffairs : Datory.Entity
    {
        /// <summary>
        /// 入职/离职人数
        /// </summary>
        [DataColumn]
        public int NumberPeople { get; set; }
        /// <summary>
        /// 入职/离职工资元
        /// </summary>
        [DataColumn]
        public int Salary { get; set; }
        /// <summary>
        /// 类型:1:入职 2:离职
        /// </summary>
        [DataColumn]
        public int HumanAffairsType { get; set; }
        /// <summary>
        /// 录入时间
        /// </summary>
        [DataColumn]
        public DateTime EnteringDateTime { get; set; }
    }
}
