using Datory.Annotations;

namespace GxPress.Entity.Navigations
{
    /// <summary>
    /// 中间页面
    /// </summary>
    [DataTable("tede_middle_lable")]
    public class MiddleLable : Datory.Entity
    {
        /// <summary>
        /// 导航栏ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
    
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否开启搜索
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsSearch { get; set; }
        /// <summary>
        /// 是否开启轮播
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsSlide { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
    }
}