using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 出版数据
    /// </summary>
    [DataTable("tede_print")]
    public class Print : Datory.Entity
    {
        /// <summary>
        /// 出版金额
        /// </summary>
        [DataColumn]
        public int PublishAmount { get; set; }

        /// <summary>
        /// 出版册数
        /// </summary>
        [DataColumn]
        public int VolumeCount { get; set; }

        /// <summary>
        /// 印刷金额
        /// </summary>
        [DataColumn]
        public int PrintAmount { get; set; }

        /// <summary>
        /// 录入时间
        /// </summary>
        [DataColumn]
        public DateTime EnteringDateTime { get; set; }
    }
}
