using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 角色
    /// </summary>
    [DataTable("tede_role")]
    public class Role : Datory.Entity
    {
        /// <summary>
        /// 角色名
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 角色组id
        /// </summary>
        [DataColumn] 
        public int GroupId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
    }
}