using System;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 发行数据
    /// </summary>
    [DataTable("tede_sell")]
    public class Sell : Datory.Entity
    {
        /// <summary>
        /// 发行金额
        /// </summary>
        [DataColumn]
        public int SellAmount { get; set; }
        /// <summary>
        /// 发行册数
        /// </summary>
        [DataColumn]
        public int SellVolumeCount { get; set; }
        /// <summary>
        /// 录入时间
        /// </summary>
        [DataColumn]
        public DateTime EnteringDateTime { get; set; }
    }
}
