using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 轮播定义
    /// </summary>
    [DataTable("tede_slide")]
    public class Slide : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        [DataColumn]
        public string ImageUrl { get; set; }

        /// <summary>
        /// 媒体ID
        /// </summary>
        [DataColumn]
        public int MediaId { get; set; }

        /// <summary>
        /// 媒体标题
        /// </summary>
        [DataColumn]
        public string MediaTitle { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 1 APP 2 首页频道  3首页精选
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
    }
}