using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 词库
    /// </summary>
    [DataTable("tede_thesaurus")]
    public class Thesaurus : Datory.Entity
    {
        /// <summary>
        /// 词库类型 1 热词 2 冷词
        /// </summary>
        [DataColumn]
        public int ThesaurusType { get; set; }
        /// <summary>
        /// 词库名称
        /// </summary>
        [DataColumn]
        public string ThesaurusName { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
    }
}
