using Datory.Annotations;

namespace GxPress.Entity.Topic
{
    /// <summary>
    /// 话题
    /// </summary>
    [DataTable("tede_topic")]
    public class Topic : Datory.Entity
    {
        /// <summary>
        ///标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }
         /// <summary>
        /// 纯文本
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string TextContent { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string HtmlContent { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        [DataColumn]
        public int ReadCount { get; set; }
        /// <summary>
        /// 允许用户
        /// </summary>
        [DataColumn]
        public string AdmitPhone { get; set; }
        /// <summary>
        /// 小组ID
        /// </summary>
        [DataColumn]
        public int GroupId { get; set; }
        /// <summary>
        /// 笔记文件夹ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FolderId { get; set; }
        /// <summary>
        /// 是否草稿
        /// </summary>
        /// <value></value>
         [DataColumn]
        public bool IsDraft { get; set; }
    }
}
