using GxPress.EnumConst;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity.Topic
{
    /// <summary>
    /// 通知收件人
    /// </summary>
    [DataTable("tede_topic_addressee")]
    public class TopicAddressee : Datory.Entity
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        [DataColumn]
        public int TopicId { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 收件人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>
         [DataColumn]
        public bool IsUpload{get;set;}
    }
}
