using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 
    /// </summary>
    [DataTable("tede_app_version")]
   public class AppVersion:Datory.Entity
    {
        /// <summary>
        /// 版本号
        /// </summary>
        [DataColumn]
        public string VersionNumber { get; set; }
        /// <summary>
        /// 版本类型(1 android 2 ios)
        /// </summary>
        [DataColumn]
        public int VersionType { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [DataColumn]
        public string Describe { get; set; }
        /// <summary>
        /// 更新代码
        /// </summary>
        [DataColumn]
        public int VersionCode { get; set; }
         /// <summary>
        /// 二维码地址
        /// </summary>
        [DataColumn]
        public string  QrCodeUrl { get; set; }
    }
}
