using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkCar
{
    /// <summary>
    /// 车辆
    /// </summary>
    [DataTable("tede_car")]
    public class Car : Datory.Entity
    {
        /// <summary>
        /// 车牌号
        /// </summary>
        [DataColumn] 
        public string License { get; set; }

        /// <summary>
        /// 车辆类型
        /// </summary>
        [DataColumn] 
        public int TypeId { get; set; }

        /// <summary>
        /// 启用/禁用
        /// </summary>
        [DataColumn]
        public bool Disabled { get; set; }

        /// <summary>
        /// 座位数
        /// </summary>
        [DataColumn] 
        public int Capacity{ get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Taxis { get; set; }
    }
}