using Datory.Annotations;

namespace GxPress.Entity.WorkFlow
{
    /// <summary>
    /// 流程表单字段
    /// </summary>
    [DataTable("tede_flow_field_value")]
    public class FlowFieldValue : Datory.Entity
    {
        /// <summary>
        /// 流程id
        /// </summary>
        [DataColumn] 
        public int ProcessId { get; set; }

        /// <summary>
        /// Flow id
        /// </summary>
        [DataColumn] 
        public int FlowId { get; set; }

        /// <summary>
        /// 流程表单字段id
        /// </summary>
        [DataColumn]
        public int FieldId { get; set; }

        /// <summary>
        /// 填写用户id
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 表单类型
        /// </summary>
        [DataColumn]
        public string FieldType { get; set; }

        /// <summary>
        /// 字符串
        /// </summary>
        [DataColumn]
        public string StringValue { get; set; }

        /// <summary>
        /// 字符串数组
        /// </summary>
        [DataColumn]
        public string StringValues { get; set; }

        /// <summary>
        /// 数字
        /// </summary>
        [DataColumn]
        public int IntValue { get; set; }
    }
}