using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkMeeting
{
    /// <summary>
    /// 会议地址
    /// </summary>
    [DataTable("tede_meeting_location")]
    public class MeetingLocation : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 详细地址
        /// </summary>
        [DataColumn] 
        public string Address { get; set; }

        [DataColumn]
        public int Taxis { get; set; }
    }
}