using Datory.Annotations;

namespace GxPress.Entity.WorkMeeting
{
    /// <summary>
    /// 会议纪要关联表
    /// </summary>
    [DataTable("tede_meeting_summary_todo")]
    public class MeetingSummaryTodo : Datory.Entity
    {
        /// <summary>
        /// 会议纪要ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MeetingSummaryId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 是否创建人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsAdmin { get; set; }

          /// <summary>
        /// 类型 1 为会议 2 会议纪要
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
    }
}