using System.Collections.Generic;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 工作流分组
    /// </summary>
    [DataTable("tede_process_group")]
    public class ProcessGroup : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn] 
        public int Sort { get; set; }

        /// <summary>
        /// 工作流数组
        /// </summary>
        public IEnumerable<Process> Processes { get; set; }
    }
}