using Datory;
using Datory.Annotations;
using GxPress.Common.Tools;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 抄送规则
    /// </summary>
    [DataTable("tede_rule_carbon_copy")]
    public class RuleCarbonCopy : Datory.Entity, IMultipleUser
    {
        /// <summary>
        /// 抄送节点id
        /// </summary>
        [DataColumn] 
        public int NodeId { get; set; }

        /// <summary>
        /// 用户id
        /// </summary>
        [DataColumn] 
        public int UserId { get; set; }

        /// <summary>
        /// 角色id
        /// </summary>
        [DataColumn] 
        public int RoleId { get; set; }

        /// <summary>
        /// 部门id
        /// </summary>
        [DataColumn] 
        public int DepartmentId { get; set; }
    }
}