﻿using System.Collections.Generic;

namespace GxPress.Entity.WorkProcessDto
{
    /// <summary>
    /// 条件
    /// </summary>
    public class Condition
    {
        /// <summary>
        /// 流程表单字段id
        /// </summary>
        public int FieldId { get; set; }

        /// <summary>
        /// 操作符(Equals值等于, NotEquals值不等于, GreatThan值大于, LessThan值小于, In值属于, NotIn值不属于)
        /// </summary>
        public string Operator { get; set; }

        /// <summary>
        /// 字符串
        /// </summary>
        public string StringValue { get; set; }

        /// <summary>
        /// 字符串数组
        /// </summary>
        public IEnumerable<string> StringValues { get; set; }

        /// <summary>
        /// 数值
        /// </summary>
        public int IntValue { get; set; }

        /// <summary>
        /// 优先级
        /// </summary>
        public int Sort { get; set; }
    }
}
