using Datory.Annotations;

namespace GxPress.Entity.tede2.AppChannel
{
    /// <summary>
    /// app频道
    /// </summary>
    [DataTable("tede_app_channel")]
    public class AppChannel : Datory.Entity
    {
        /// <summary>
        /// 标题图片
        /// </summary>
        [DataColumn]
        public string ImageUrls { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 类型 公众号  视频 期刊杂志 图书
        /// </summary>
        /// <value></value>
        [DataColumn]
        public GxPress.EnumConst.AppChannelConst ChannelTypeValue { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 1 普通 2 没有导航 3 sku
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }
    }
}