﻿using System;
using Datory.Annotations;

namespace GxPress.Entity.tede2.Category
{
    /// <summary>
    /// 类别
    /// </summary>
    [DataTable("tede_category")]
    public class Category : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ParentId { get; set; }
        /// <summary>
        /// 类型0 pc 1 app
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
    }
}
