using Datory.Annotations;

namespace GxPress.Entity.tede2.Group
{
    /// <summary>
    /// 小组广场
    /// </summary>
    [DataTable("tede_group_piazza")]
    public class GroupCategory : Datory.Entity
    {
        /// <summary>
        /// 广场名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string PiazzaName { get; set; }

        /// <summary>
        /// 广场图标
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ImageUrls { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ParentId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
    }
}