namespace GxPress.EnumConst
{
    /// <summary>
    /// 流程表单字段类型
    /// </summary>
    public enum FieldTypeConst
    {
        /// <summary>
        /// 单行文本框
        /// </summary>
        Text,

        /// <summary>
        /// 多行本框
        /// </summary>
        TextArea,

        /// <summary>
        /// 数字
        /// </summary>
        Number,

        /// <summary>
        /// 金额
        /// </summary>
        Currency,

        /// <summary>
        /// 日期
        /// </summary>
        DateTime,

        /// <summary>
        /// 图片
        /// </summary>
        Picture,

        /// <summary>
        /// 附件
        /// </summary>
        Attachment,

        /// <summary>
        /// 单选框
        /// </summary>
        Radio,
    }
}