using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 1 热搜 2热书榜 3 课程榜 4Top 100 新书 5文献头条  6试听榜 7大众热评 8Top 100 专著
    /// </summary>
    public enum RankingListConst
    {
        [Description("热搜")]
        HotSearch = 1,
        [Description("热书榜")]
        ReadBook = 2,
        [Description("课程榜")]
        Article = 3,
        [Description("Top100新书")]
        NewBook = 4,
        [Description("文献头条")]
        ArticleTop = 5,
        [Description("试听榜")]
        Audio = 6,
        [Description("大众热评")]
        HotComment = 7,
        [Description("Top100专著")]
        CollectionBook = 8
    }
}