using System;

namespace GxPress.Request.Admin
{
    /// <summary>
    /// 管理员登录
    /// </summary>
    public class AdminSignInRequest
    {
        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// 验证码
        /// </summary>
        public string Captcha { get; set; }

        /// <summary>
        /// 验证码唯一标识
        /// </summary>
        public Guid Guid { get; set; }

        /// <summary>
        /// 登陆ID
        /// </summary>
        /// <value></value>
        public string Ip { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>
        public DateTime LoginTime { get; set; }
    }
}