using System;

namespace GxPress.Request.Admin
{
    /// <summary>
    /// 用户注册
    /// </summary>
    public class AdminSignUpRequest
    {
        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>

        public string Phone { get; set; }

        /// <summary>
        /// 电子邮箱
        /// </summary>

        public string Email { get; set; }

        /// <summary>
        /// 性别
        /// </summary>

        public string Sex { get; set; }

        /// <summary>
        /// 角色ID
        /// </summary>
        /// <value></value>
        public int RoleId { get; set; }

         /// <summary>
        /// 登陆ID
        /// </summary>
        /// <value></value>
        public int Ip { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>
        public DateTime LoginTime { get; set; }
    }
}