using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Request.App.AdminVerify
{
    /// <summary>
    /// 添加用户成员
    /// </summary>
    public class AdminVerifyInsertRequest
    {
        /// <summary>
        /// 成员
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 类型 1 单聊 2群聊 3小组
        /// </summary>
        public GroupTypeConst VerifyType { get; set; }

        /// <summary>
        /// 来源ID
        /// </summary>
        public int SourceId { get; set; }
        /// <summary>
        /// 群主用户ID
        /// </summary>
        public int AdminId { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 来源状态 1申请 2邀请
        /// </summary>
        public int SourceType { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remark { get; set; }
    }
}
