using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.ChatRecord
{
    /// <summary>
    /// 添加聊天记录
    /// </summary>
    public class ChatRecordInRequest
    {
        /// <summary>
        /// 发送人ID
        /// </summary>
        public int SendUserId { get; set; }
        /// <summary>
        /// 接收人ID或者群MiID
        /// </summary>
        public string ReceiveUserId { get; set; }
        /// <summary>
        /// 聊天内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 聊天类型  1 单聊 2 群聊
        /// </summary>
        public int ChatType { get; set; }
        /// <summary>
        /// 消息类型(1 文本 2 图片 3 文件 4 视频 5语音 6 位置)
        /// </summary>
        public int MsgType { get; set; }
    }
}
