using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Request.App.ChatRecord
{
    /// <summary>
    /// 聊天记录搜索
    /// </summary>
   public class ChatRecordSearchHistoryRequest:PageParameter
    {
        /// <summary>
        /// 关键字
        /// </summary>
        public string KeyWord { get; set; }
        /// <summary>
        /// 消息类型(1 文本 2 图片 3 文件 4 视频 5语音)
        /// </summary>
        public int MsgType { get; set; }
        /// <summary>
        /// 用户ID或者群ImId
        /// </summary>
        public string ReceiveUserId { get; set; }

        /// <summary>
        ///用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public string EndTime { get; set; }
    }
}
