namespace GxPress.Request.App.Collection
{
    /// <summary>
    /// 添加收藏
    /// </summary>
    public class CollectionInRequest
    {
        /// <summary>
        /// 收藏类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信  7小组 8 会议详情  14工作流审批 300 文件 400会议纪要 21话题笔记  12 收藏文件夹 13 笔记文件夹
        /// </summary>
        public int CollectionType { get; set; }
        /// <summary>
        /// 数据类型ID
        /// </summary>
        public int CollectionDataId { get; set; }
        /// <summary>
        /// 来源用户ID 针对 笔记 收藏
        /// </summary>
        /// <value></value>
        public int SourceUserId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }
    }
}
