﻿using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Flow
{
    /// <summary>
    /// 请求
    /// </summary>
    public class FlowListRequest
    {
        /// <summary>
        /// 请求类型（我审批的 - 待审批MyChecking, 我审批的 - 已审批MyChecked, 我发起的 - 待审批SubmittedChecking,我发起的 - 已审批SubmittedChecked, 抄送我的 - 未读CcUnread, 抄送我的 - 全部CcAll）
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// 筛选类型，可多选
        /// </summary>
        public List<int> ProcessIds { get; set; }

        /// <summary>
        /// 搜索关键字
        /// </summary>
        public string Keyword { get; set; }

        /// <summary>
        /// 当前页
        /// </summary>
        public int Page { get; set; }

        /// <summary>
        /// 每页显示多少项
        /// </summary>
        public int PerPage { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public FlowListRequest()
        {
            ProcessIds = new List<int>();
        }
    }
}
