using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Group
{
    /// <summary>
    /// 添加小组
    /// </summary>
    public class GroupInRequest
    {
        /// <summary>
        /// 小组名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 小组创始人
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>

        public string QRCoder { get; set; }

        /// <summary>
        /// 头像
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>

        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意
        /// </summary>
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>

        public bool IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>

        public bool IsUDisturb { get; set; }

        /// <summary>
        /// 小组文件夹ID
        /// </summary>

        public int GroupFolderId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 广场ID
        /// </summary>
        public int GroupCategroyId { get; set; }
        /// <summary>
        /// 标签
        /// </summary>
        /// <value></value>
        public string LabelName { get; set; }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
        /// <summary>
        /// 是否加入通讯录
        /// </summary>
        /// <value></value>
        public bool IsContacts { get; set; }
    }
    /// <summary>
    /// 小组转移
    /// </summary>
    public class GroupTransferReqeust
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        /// <value></value>
        public int GroupId { get; set; }
        /// <summary>
        /// 小组创建者
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 转移者
        /// </summary>
        /// <value></value>
        public int TransferUserId { get; set; }
    }
}
