using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.TopicAnalyze
{
    /// <summary>
    /// 话题 点赞 评论点赞 转发 收藏
    /// </summary>
   public class TopicAnalyzeRequest
    {
        /// <summary>
        /// 话题ID
        /// </summary>
        public int TopicId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int TopicCommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 文章点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        public int TopicAnalyzeType { get; set; }
    }
}
