﻿using System.Collections.Generic;
using GxPress.Entity.WorkMeeting;

namespace GxPress.Request.App.WorkMeeting
{
    /// <summary>
    /// 
    /// </summary>
    public class MeetingRoomResult
    {
        /// <summary>
        /// 会议室名称
        /// </summary>
        public string RoomName { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public bool Disabled { get; set; }

        /// <summary>
        /// 所有预订
        /// </summary>
        public SortedDictionary<string, List<int>> Orders { get; set; }

        /// <summary>
        /// 用户预订
        /// </summary>
        public SortedDictionary<string, List<int>> UserOrders { get; set; }
        /// <summary>
        /// 新版所有预订
        /// </summary>
        /// <value></value>
        public List<TimeDictionary> OrderList { get; set; }
    }
    /// <summary>
    /// 新版所有预订
    /// </summary>
    public class TimeDictionary
    {
        public TimeDictionary()
        {
            TimeValues = new List<int>();
            NewTimeValues=new List<TimeValue>();
        }
        /// <summary>
        /// 日期
        /// </summary>
        /// <value></value>
        public string TimeKey { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        /// <value></value>
        public List<int> TimeValues { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        /// <value></value>
        public List<TimeValue> NewTimeValues { get; set; }
    }
    public class TimeValue
    {
        /// <summary>
        /// 小时
        /// </summary>
        /// <value></value>
        public int Key { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value></value>
        public string Value { get; set; }
    }
}
