using System.Collections.Generic;

namespace GxPress.Request.AppChannel
{
    public class AppChannelRequest
    {

    }
    /// <summary>
    /// 
    /// </summary>
    public class AppChannelSearchRequest : Common.Page.PageParameter
    {
        /// <summary>
        /// 频道ID
        /// </summary>
        /// <value></value>
        public int ChannelId { get; set; }
        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
        /// <summary>
        /// 分类ID
        /// </summary>
        /// <value></value>
        public int CategoryId { get; set; }

        public List<int> Ids { get; set; }
        /// <summary>
        /// 条件筛选
        /// </summary>
        /// <value></value>
        public int SortSift { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>
        /// <value></value>
        public IEnumerable<string> PressSift { get; set; }
    }
    /// <summary>
    /// 添加
    /// </summary>
    public class ChannelCategoryMediaInRequest
    {
        /// <summary>
        /// 对应分类ID 如果不是分类对应频道ID
        /// </summary>
        /// <value></value>
        public int CategoryId { get; set; }
        /// <summary>
        /// 是否分类
        /// </summary>
        /// <value></value>
        public bool IsCategory { get; set; }
        /// <summary>
        /// 资源ID
        /// </summary>
        /// <value></value>
        public List<int> MediaIds { get; set; }
    }
}