namespace GxPress.Request.AppStartPage
{
    public class AppStartPageRequest
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class AppStartPageUpdateRequest
    {
        /// <summary>
        /// Id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 图片
        /// </summary>

        public string ImageUrl { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>

        public string Title { get; set; }
        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>

        public string Creator { get; set; }

        /// <summary>
        /// 操作人姓名
        /// </summary>
        /// <value></value>

        public int AdminId { get; set; }
        /// <summary>
        /// App类型 1 ios 2 android
        /// </summary>
        /// <value></value>

        public int AppTypeId { get; set; }
        /// <summary>
        /// 连接类型 1 内部 2 外部
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }
        /// <summary>
        /// 外部连接地址
        /// </summary>
        /// <value></value>

        public string Url { get; set; }
        /// <summary>
        /// 数据类型ID
        /// </summary>
        /// <value></value>

        public int DataTypeId { get; set; }

        /// <summary>
        /// 数据ID
        /// </summary>
        /// <value></value>

        public int DataId { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
        /// <summary>
        /// 启动秒
        /// </summary>
        /// <value></value>

        public int Second { get; set; }
    }
}