namespace GxPress.Request.ArticleGroup
{
    /// <summary>
    /// 添加文章分组
    /// </summary>
    public class ArticleGroupAddRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 系统默认
        /// </summary>
        /// <value></value>

        public bool IsSystemDefault { get; set; }
        /// <summary>
        /// 是否中间页面
        /// </summary>
        /// <value></value>

        public bool IsMiddleLable { get; set; }
        /// <summary>
        /// 中间页面ID
        /// </summary>
        /// <value></value>

        public int MiddleLableId { get; set; }
        /// <summary>
        /// 样式
        /// </summary>
        /// <value></value>
        public string StyleCss { get; set; }
    }
}