using System.Collections.Generic;

namespace GxPress.Request.Department
{
    public class DepartmentUserRequest
    {
        public int DepartmentId { get; set; }

        public int SourceDepartmentId { get; set; }

        public bool IsShow { get; set; }

        public List<int> UserIds { get; set; }
        public DepartmentUserRequest()
        {
            UserIds = new List<int>();
        }
        /// <summary>
        /// 用户Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }

        public IEnumerable<int> DepartmentIds{get;set;}

    }
    /// <summary>
    /// 添加部门用户
    /// </summary>
    public class DepartmentUserInRequest
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        /// <value></value>
        public int DepartmentId { get; set; }

    }
}