using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Request.Feedback
{
    /// <summary>
    /// 意见反馈分页查询
    /// </summary>
    public class FeedbackPageRequest : PageParameter
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 反馈类型(1 功能异常 2 体验优化)
        /// </summary>
        /// <value></value>
        public int FeedbackType { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>

        public string EndTime { get; set; }
        /// <summary>
        /// 搜索
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
    }
}
