using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.Notice
{
    /// <summary>
    /// 当前通知阅读情况查询
    /// </summary>
    public class NoticeReadListRequest
    {
        /// <summary>
        ///  0 全部 1 阅读 2 未读
        /// </summary>
        public int ReadType { get; set; }
        /// <summary>
        /// 通知ID
        /// </summary>
        public int NoticeId { get; set; }
        /// <summary>
        /// 名字搜索
        /// </summary>
        /// <value></value>
        public string Key { get; set; }
        /// <summary>
        /// 来源类型 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>
        public int SourceType { get; set; }
    }
}
