using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.Addressee
{
    /// <summary>
    /// 添加收件人
    /// </summary>
    public class NoticeAddresseeInRequest
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        public int ArticleId { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 收件人姓名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        public bool IsRead { get; set; }
    }
}
