using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.NoticeFolder
{
    /// <summary>
    /// 添加通知文件夹
    /// </summary>
    public class NoticeFolderInRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string FolderName { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组 14工作流 300文件 400会议纪要
        /// 
        /// </summary>
        public int TypeId { get; set; }


        /// <summary>
        /// 文件夹权限 1 普通 2 私有 3 共享
        /// </summary>
        public int RoleId { get; set; }

        /// <summary>
        /// 共享人员ID
        /// </summary>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 新版用户选择
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> UserMiddles { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public NoticeFolderInRequest()
        {
            UserMiddles = new List<UserMiddle.UserMiddleInRequest>();
        }
    }
}
