namespace GxPress.Request.Order
{
    /// <summary>
    /// 订单
    /// </summary>
    public class OrderRequest
    {

    }
    /// <summary>
    /// 财务中心
    /// </summary>
    public class OrderFinanceSearchRequest : Common.Page.PageParameter
    {
        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
        /// <summary>
        /// 支付方式 1 微信 2 支付宝
        /// </summary>
        /// <value></value>
        public int PayWay { get; set; }
        /// <summary>
        /// 开始日期
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public string EndTime { get; set; }
        /// <summary>
        /// 1 商品付费 2会员开通
        /// </summary>
        /// <value></value>
        public int OrderType { get; set; }

    }
    /// <summary>
    /// 订单查询
    /// </summary>
    public class OrderSearchRequest : Common.Page.PageParameter
    {
        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
        /// <summary>
        /// 支付方式 1 微信 2 支付宝
        /// </summary>
        /// <value></value>
        public int PayWay { get; set; }
        /// <summary>
        /// 开始日期
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public string EndTime { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
    }
}