using GxPress.Common.Page;

namespace GxPress.Request.Thesaurus
{
    /// <summary>
    /// 词库分页查询
    /// </summary>
    public class ThesaurusPageSearchRequest : PageParameter
    {
        /// <summary>
        /// 词库类型
        /// </summary>
        public int ThesaurusType { get; set; }
        /// <summary>
        /// 词库名称
        /// </summary>
        public string ThesaurusName { get; set; }
    }
    /// <summary>
    /// 修改
    /// </summary>
    public class ThesaurusUpdateRequest
    {
        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 词库类型 1 热词 2 冷词
        /// </summary>

        public int ThesaurusType { get; set; }
        /// <summary>
        /// 词库名称
        /// </summary>

        public string ThesaurusName { get; set; }
        /// <summary>
        /// 是否禁用 1 设置 2未设置
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
    }
}
