using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using GxPress.Common.Validation;

namespace GxPress.Request.User
{
    /// <summary>
    /// 修改用户手机
    /// </summary>
    public class UserUpdatePhoneRequest
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        [Mobile]
        public string Phone { get; set; }

        /// <summary>
        /// 验证码
        /// </summary>
        [MaxLength(6)]
        public string Code { get; set; }

    }
}
