using System;
using System.Collections.Generic;
using GxPress.Result.SystemRole;

namespace GxPress.Result.Admin
{
    /// <summary>
    /// 分页结果
    /// </summary>
    public class AdminPageResult
    {
        /// <summary>
        /// id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 手机号码
        /// </summary>

        public string Phone { get; set; }

        /// <summary>
        /// 电子邮箱
        /// </summary>

        public string Email { get; set; }

        /// <summary>
        /// 性别
        /// </summary>

        public string Sex { get; set; }
        /// <summary>
        /// 角色ID
        /// </summary>
        /// <value></value>
        public int RoleId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 菜单
        /// </summary>
        /// <value></value>
        public List<MenuInResult> MenuInResult { get; set; }

        /// <summary>
        /// 登陆ID
        /// </summary>
        /// <value></value>
        public string Ip { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>
        public DateTime LoginTime { get; set; }
    }
}