using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;

namespace GxPress.Result.App.AdminVerify
{
    /// <summary>
    /// 验证搜索
    /// </summary>
   public class AdminVerifySearchResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 类型 1 单聊 2群聊 3小组
        /// </summary>
 
        public GroupTypeConst VerifyType { get; set; }

        /// <summary>
        /// 处理状态 0 未处理 1 同意 2 拒绝
        /// </summary>

        public AdminVerifyTypeConst DisposeType { get; set; }

        /// <summary>
        /// 群主ID
        /// </summary>

        public int AdminId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
       
        public int UserId { get; set; }

        /// <summary>
        /// 来源ID 
        /// </summary>
       
        public int SourceId { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
    
        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
     
        public string Remark { get; set; }
        /// <summary>
        /// 来源状态 1申请 2邀请
        /// </summary>
      
        public int SourceType { get; set; }
        /// <summary>
        /// 来源名称
        /// </summary>
       
        public string SourceName { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
       
        public string IsDelete { get; set; }
        /// <summary>
        /// 是否可操作
        /// </summary>
        public bool IsOperate { get; set; }
        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 是否可访问
        /// </summary>
        public bool IsVisit { get; set; }
    }
}
