using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Common.Page;

namespace GxPress.Result.App.ChatRecord
{
    /// <summary>
    /// 
    /// </summary>
  public  class ChatRecordSearchHistoryResult
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 聊天类型1 单聊 2 群聊
        /// </summary>
        public int ChatType { get; set; }
        /// <summary>
        /// 接收人ID或者群ImId
        /// </summary>
        public string ReceiveUserId { get; set; }
        /// <summary>
        /// 消息类型(1 文本 2 图片 3 文件 4 视频 5语音)
        /// </summary>
        public int MsgType { get; set; }
        /// <summary>
        /// 信源
        /// </summary>
        public string ImId { get; set; }

        /// <summary>
        /// 文件地址
        /// </summary>
        public string FileUrl { get; set; }
        /// <summary>
        /// 聊天时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
    }
}
