using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Result.App.FileLibrary
{
    /// <summary>
    /// 文件返回
    /// </summary>
    public class FileLibraryResult
    {
        /// <summary>
        /// ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        public string FileName { get; set; }
        /// <summary>
        /// 文件类型
        /// </summary>
        public string FileType { get; set; }
        /// <summary>
        /// 文件服务器地址
        /// </summary>
        public string FileUrl { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedData { get; set; }
        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value></value>
        public int Size { get; set; }
    }
}
