using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;

namespace GxPress.Result.App.GroupUser
{
    /// <summary>
    /// 小组成员列表
    /// </summary>
    public class GroupUserListResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 小组ID
        /// </summary>
        public int GroupId { get; set; }
        /// <summary>
        /// 小组成员ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 部门
        /// </summary>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 角色类型 1 超级管理员 2 管理员 3普通用户
        /// </summary>
        public GroupUserRoleTyeConst GroupUserRoleId { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        ///环信
        /// </summary>
        /// <value></value>
        public string ImId { get; set; }
        /// <summary>
        /// 邮箱
        /// </summary>
        /// <value></value>
        public string Email { get; set; }
        //public string UserName{get;set;}
    }
}
