using GxPress.EnumConst;

namespace GxPress.Result.App.Middle
{
    /// <summary>
    /// 
    /// </summary>
    public class Middle
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string FolderName { get; set; }

        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信
        /// </summary>
        public int FolderType { get; set; }

        /// <summary>
        /// 是否置顶
        /// </summary>

        public bool IsTop { get; set; }

        /// <summary>
        /// 文件夹权限 1 普通 2 私有 3 共享
        /// </summary>
        public int RoleId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 中间件ID 根据FolderType
        /// </summary>
        public int MiddleId { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public int ParentId { get; set; }

        /// <summary>
        /// 子集ID
        /// </summary>
        public int MiddleSonId { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        public bool IsRead { get; set; }

        /// <summary>
        /// 手机人状态 1 接收 2 草稿
        /// </summary>
        public NoticeTypeConst NoticeAddresseeType { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }

        /// <summary>
        /// 属性值  1 普通 2文件夹 3 验证
        /// </summary>
        public int AttributeValue { get; set; }

        /// <summary>
        /// 角色类型 1 超级管理员  2 管理员 3普通
        /// </summary>
        public GroupUserRoleTyeConst GroupUserRoleId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 共享成员
        /// </summary>
        /// <value></value>
        public string EnjoyUser { get; set; }
    }
    /// <summary>
    /// 添加文件夹返回
    /// </summary>
    public class MiddleInResult
    {
        public int Id { get; set; }

        public string Name { get; set; }
    }
}