using System;
namespace GxPress.Result.App.Missive
{
    /// <summary>
    /// 站内信已读未读
    /// </summary>
    public class MissiveReadListResult
    {
         /// <summary>
        /// 通知ID
        /// </summary>
        public int MissiveId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        /// <value></value>
        public DateTime LastModifiedDate{get;set;}
    }
}