using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Result.App.Note
{
    /// <summary>
    /// 通知点赞数据
    /// </summary>
    public partial class NotePraisePageResult
    {
         /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 用户签名
        /// </summary>
        public string Signature { get; set; }

        /// <summary>
        /// 点赞时间
        /// </summary>
        public DateTime CreatedDate { get; set; }
        /// <summary>
        /// 笔记名称
        /// </summary>
        public string NoteTitle { get; set; }

        /// <summary>
        /// 用户头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepartmentName { get; set; }
    }
}
