﻿using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity.WorkProcessDto;

namespace GxPress.Result.App.Process
{
    /// <summary>
    /// 流程定义
    /// </summary>
    public class GetProcessResult
    {
        /// <summary>
        /// id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 基本信息
        /// </summary>
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 图标url
        /// </summary>
        public string IconUrl { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 表单定义
        /// </summary>
        public List<FormField> FormFields { get; set; }

        /// <summary>
        /// 是否允许用户自选审批人
        /// </summary>
        public bool AllowApproverCheck { get; set; }

        /// <summary>
        /// 是否允许用户自选抄送人
        /// </summary>
        public bool AllowCarbonCopy { get; set; }
        /// <summary>
        /// 系统审批人
        /// </summary>
        /// <value></value>
        public List<int> ApproverCheckUserIds { get; set; }
    }
}
