using System;

namespace GxPress.Result.App.Visit
{
    /// <summary>
    /// 返回访问列表
    /// </summary>
    public class VisitResult
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID 类型1文章 2话题 3 收藏 4笔记 5通知 6站内信 7小组 8 会议详情
        /// </summary>
        /// <value></value>
        public int TypeId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        /// <value></value>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
    }
}