using System.Collections.Generic;

namespace GxPress.Result.DataCenter
{
    /// <summary>
    /// 商务数据
    /// </summary>
    public class CommerceDataResult
    {
        /// <summary>
        /// 平台商务数据
        /// </summary>
        public PlatformCommerceResult PlatformCommerceResult { get; set; }
        /// <summary>
        /// 今日平台商务数据
        /// </summary>
        public PlatformCommerceResult PlatformTodayCommerceResult { get; set; }
        /// <summary>
        /// 内容销售排行榜
        /// </summary>
        /// <value></value>
        public List<ContentSaleRankingResult> ContentSaleRankingResults { get; set; }
         /// <summary>
        /// 内容分类销售占比
        /// </summary>
        public List<ContentSaleProportionResult> ContentSaleProportionResults { get; set; }
    }
}