using System.Collections.Generic;

namespace GxPress.Result.DataCenter
{
    /// <summary>
    /// 运营数据
    /// </summary>
    public class OperationDataResult
    {
         /// <summary>
        /// 平台运营数据
        /// </summary>
        /// <value></value>
        public PlatformOperationDataResult PlatformOperationDataResult { get; set; }
         /// <summary>
        /// 用户总数增长趋势
        /// </summary>
        /// <value></value>
        public UserIncreaseResult UserIncreaseResult { get; set; }
        /// <summary>
        /// 用户地区分布
        /// </summary>
        /// <value></value>
        public List<UserAreaDistributingResult> UserAreaDistributingResults { get; set; }
        /// <summary>
        ///  会员用户占比
        /// </summary>
        /// <value></value>
        public UserVipProportionResult UserVipProportionResult { get; set; }
        /// <summary>
        /// 实时在线人数
        /// </summary>
        /// <value></value>
        public OnlineUserResult OnlineUserResult { get; set; }
    }
}