using System.Collections.Generic;

namespace GxPress.Result.Department
{
    /// <summary>
    /// 部门树
    /// </summary>
    public class DepartmentTreeResult
    {
        /// <summary>
        /// 部门id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 是否有下级节点
        /// </summary>
        public int ParentId { get; set; }
        /// <summary>
        /// 是否有下级节点
        /// </summary>
        public bool HasChildren { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        public List<DepartmentTreeResult> Children { get; set; }
    }
}