using System.Collections.Generic;
using GxPress.Result.User;

namespace GxPress.Result.Department
{
    /// <summary>
    /// 部门组员
    /// </summary>
    public class DepartmentUserResult
    {
        /// <summary>
        /// 下级部门
        /// </summary>
        public List<DepartmentResult> Departments { get; set; }
        /// <summary>
        /// 成员
        /// </summary>
        public List<UserInfoResult> Users { get; set; }

        public DepartmentUserResult()
        {
            Departments = new List<DepartmentResult>();
            Users = new List<UserInfoResult>();
        }
    }
}
