using System.Collections.Generic;

namespace GxPress.Result.Order
{
    /// <summary>
    /// 订单返回
    /// </summary>
    public class OrderResult
    {

    }
    /// <summary>
    /// 财务中心
    /// </summary>
    public class OrderFinanceResult<T>
    {
        /// <summary>
        /// 数据集合
        /// </summary>
        /// <value></value>
        public IEnumerable<T> Items { get; set; }
        /// <summary>
        /// 显示价格
        /// </summary>
        /// <value></value>
        public decimal ShowPrice { get; set; }
        /// <summary>
        /// 总额
        /// </summary>
        /// <value></value>
        public decimal AllPrice { get; set; }
        /// <summary>
        /// 订单数量
        /// </summary>
        /// <value></value>
        public int AllOrderCount { get; set; }
        /// <summary>
        /// VIP用户数
        /// </summary>
        /// <value></value>
        public int VipUserCount { get; set; }
        /// <summary>
        /// Vip总额
        /// </summary>
        /// <value></value>
        public decimal VipAllPrice { get; set; }
        /// <summary>
        /// Vip订单数量
        /// </summary>
        /// <value></value>
        public int VipAllOrderCount { get; set; }
        /// <summary>
        /// 总数量
        /// </summary>
        /// <value></value>
        public int Total { get; set; }
    }
}