using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Result.HumanAffairs;

namespace GxPress.Result.Print
{
    /// <summary>
    /// 出版数据
    /// </summary>
   public class PrintResult
    {
        /// <summary>
        /// 本年累计出版金额
        /// </summary>
        public int YearPrintAmount { get; set; }
        /// <summary>
        /// 本年累计出版册数
        /// </summary>
        public int YearPrintCount { get; set; }
        /// <summary>
        /// 本年累计的印刷费用
        /// </summary>
        public int YearPressAmount { get; set; }

        /// <summary>
        /// 本月累计出版金额
        /// </summary>
        public int MonthPrintAmount { get; set; }
        /// <summary>
        /// 本月累计出版册数
        /// </summary>
        public int MonthPrintCount { get; set; }
        /// <summary>
        /// 本月累计的印刷费用
        /// </summary>
        public int MonthPressAmount { get; set; }
        /// <summary>
        /// 同比月增长多少金额
        /// </summary>
        public int ComparedMonthAmount { get; set; }
        /// <summary>
        /// 同比月增长多少册
        /// </summary>
        public int ComparedMonthCount { get; set; }
        /// <summary>
        /// 数据
        /// </summary>
        public List<HumanAffairsChartData> HumanAffairsChartDataResult { get; set; }
    }
}
