using System;
using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Result.Process
{
    /// <summary>
    /// 流程节点树
    /// </summary>
    public class ProcessNodeTreeResult
    {
        /// <summary>
        /// 节点id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 节点名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 节点类型
        /// ProcessNodeType
        /// </summary>
        public string Type { get; set; }

        //TODO 节点扩展信息

        /// <summary>
        /// 子节点
        /// </summary>
        public List<ProcessNodeTreeResult> Children { get; set; }
    }
}