using System;
using System.Collections.Generic;
namespace GxPress.Result.Reply
{
    public class ReplyPraiseCountResult
    {
        public int PraiseCount{get;set;}
        public IEnumerable<ReplyResult> Item { get; set; }
    }
    public class ReplyResult
    {
        /// <summary>
        /// 评论ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }
        /// <summary>
        /// 评论内容
        /// </summary>
        /// <value></value>
        public string CommentContent { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Pid { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 话题或者笔记的标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 话题或者笔记的内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 回复人姓名
        /// </summary>
        /// <value></value>
        public string UserName { get; set; }
        /// <summary>
        /// 回复人头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 回复时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 回复人姓名
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 当前用户姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remark { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        /// <value></value>
        public bool IsRead { get; set; }
        /// <summary>
        /// 小组Id
        /// </summary>
        /// <value></value>
        public int GroupId { get; set; }
        /// <summary>
        /// 小组名称
        /// </summary>
        /// <value></value>
        public string GroupName { get; set; }
        /// <summary>
        /// 是否小组
        /// </summary>
        /// <value></value>
        public bool IsGroup { get; set; }
        /// <summary>
        /// 是否评论
        /// </summary>
        /// <value></value>
        public bool IsComment { get; set; }
    }
}