using System.Collections.Generic;
using GxPress.Result.HumanAffairs;

namespace GxPress.Result.sell
{
    /// <summary>
    /// 发行
    /// </summary>
    public class SellResult
    {
        /// <summary>
        /// 本月发行额
        /// </summary>
        public int MonthSellAmount { get; set; }
        /// <summary>
        /// 本月发行数量
        /// </summary>
        public int MonthSellCount { get; set; }
        /// <summary>
        /// 同比月增长多少金额
        /// </summary>
        public int ComparedMonthAmount { get; set; }
        /// <summary>
        /// 同比月增长多少金额
        /// </summary>
        public int ComparedMonthCount { get; set; }
        /// <summary>
        /// 数据
        /// </summary>
        public List<HumanAffairsChartData> HumanAffairsChartDataResult { get; set; }
   
    }
}
