using System.Collections.Generic;

namespace GxPress.Result.SystemRole
{
    public class SystemRoleResult
    {
        public Entity.SystemRole.SystemRole SystemRole { get; set; }
        public List<MenuInResult> MenuInResult { get; set; }
    }
    public class MenuInResult
    {

        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        public int ParentId { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 图标名称
        /// </summary>
        /// <value></value>
        public string Icon { get; set; }
        /// <summary>
        /// 孩子
        /// </summary>
        /// <value></value>
        public List<MenuInResult> Children { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string Path { get; set; }
    }
}