using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.AppChannel;

namespace GxPress.Repository.Interface.AppChannel
{
    public interface IChannelCategoryMediaRepository:IRepository
    {
          /// <summary>
        /// 获取详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Entity.tede2.AppChannel.ChannelCategoryMedia> GetAsync(int id);
        /// <summary>
        /// 查询 获取MediaId
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<int>> GetAllAsync(int categoryId,bool isCategory=true);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(ChannelCategoryMediaInRequest request);
    }
}