using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.AppStartPage;

namespace GxPress.Repository.Interface.AppStartPage
{
    public interface IAppStartPageRepository : IRepository
    {
        /// <summary>
        /// 获取 APP启动 1IOS 2Android
        /// </summary>
        /// <param name="appTypeId"></param>
        /// <returns></returns>
        Task<Entity.tede2.AppStartPage.AppStartPage> GetAsync(int appTypeId);

        /// <summary>
        /// 查询
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<Entity.tede2.AppStartPage.AppStartPage>> GetAllAsync();
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> UpdateAsync(AppStartPageUpdateRequest request);

        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(Entity.tede2.AppStartPage.AppStartPage model);
    }
}