using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Result.Web;

namespace GxPress.Repository.Interface.Group
{
    public interface IGroupCategoryRepository : IRepository
    {
        /// <summary>
        /// 添加小组广场
        /// </summary>
        /// <param name="groupCategory"></param>
        /// <returns></returns>
        Task<int> InsertAsync(Entity.tede2.Group.GroupCategory groupCategory);

        Task<bool> UpdateAsync(Entity.tede2.Group.GroupCategory groupCategory);

        Task<Entity.tede2.Group.GroupCategory> GetAsync(int id);

        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 根据parendId获取
        /// </summary>
        /// <param name="parentId"></param>
        /// <returns></returns>
        Task<IEnumerable<GroupCategoryResult>> GetAllAsync(int parentId);
        Task<IEnumerable<GroupCategoryResult>> GetUsergroupCategoryResult(int userId);
    }
}