using System.Threading.Tasks;
using Datory;
using GxPress.Entity;

namespace GxPress.Repository.Interface
{
    public interface IUserLoginRepository : IRepository
    {
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<int> InsertAsync(UserLogin model);
        Task<UserLogin> GetUserAsync(int userId);
    }
}