﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Result.Media;

namespace GxPress.Repository.Interface.Media
{
    public interface IMediaLibraryRepository : IRepository
    {
        Task<Entity.tede2.Media.MediaLibrary> GetTaskAsync(int mediaId);
        /// <summary>
        /// 获取视频
        /// </summary>
        /// <param name="mediaId"></param>
        /// <param name="TypeId"></param>
        /// <returns></returns>
        Task<List<MediaLibraryResult>> GetAllAsync(int mediaId);

         Task<Entity.tede2.Media.MediaLibrary> GetAsync(int id);
    }
}
