using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.Navigation;

namespace GxPress.Repository.Interface.Navigation
{
    public interface IMiddleLableNexusRepository : IRepository
    {
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="middleLableId"></param>
        /// <param name="ids"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(List<MiddleLableNexusUpRequest> middleLableNexusUpRequests);

        /// <summary>
        /// 查询
        /// </summary>
        /// <param name="middleLableId"></param>
        /// <returns></returns>
        Task<IEnumerable<Entity.Navigations.MiddleLableNexus>> GetAllTaskAsync(int middleLableId);
        Task<bool> DeleteByMiddleLableIdAsync(int middleLableId);

        Task<bool> UpdateAsync(int middleLableId, List<MiddleLableNexusUpRequest> middleLableNexusUpRequests);

    }
}