using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Request.SensitiveWord;

namespace GxPress.Repository.Interface.SensitiveWord
{
    public interface ISensitiveWordRepository : IRepository
    {
        /// <summary>
        /// 查询详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Entity.tede2.SensitiveWord.SensitiveWord> GetAsync(int id);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="note"></param>
        /// <returns></returns>
        Task<int> InsertAsync(Entity.tede2.SensitiveWord.SensitiveWord note);
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="note"></param>
        /// <returns></returns>
        Task<bool> UpdateAsync(Entity.tede2.SensitiveWord.SensitiveWord note);
        /// <summary>
        /// 查询
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<Entity.tede2.SensitiveWord.SensitiveWord>> GetAllAsync(SensitiveWordRequest request);
    }
}