using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.App.Group;

namespace GxPress.Service.Implement.Group
{
    public partial class GroupService
    {

        /// <summary>
        /// 根据广场类别查询小组
        /// </summary>
        /// <param name="categoryId"></param>
        /// <returns></returns>
        public async Task<IEnumerable<SearchGroupDetailResult>> GetAllAsync(int categoryId,int userId)
        {
            var group = await _groupRepository.GetAllAsync(categoryId,userId);
            foreach (var item in group)
            {
                item.AvatarUrl = Common.Tools.StringUtils.AddDomain(item.AvatarUrl);
            }
            return group;
        }
    }
}