using GxPress.Repository.Interface;
using GxPress.Service.Interface;
using GxPress.Service.Interface.AdminVerify;
using GxPress.Service.Interface.IM;

namespace GxPress.Service.Implement.GroupChatUser
{
    public partial class GroupChatUserService:IGroupChatUserService
   {
       private readonly IGroupChatRepository _groupChatRepository;
       private readonly IGroupChatUserRepository _groupChatUserRepository;
       private readonly IOftenContactRepository _oftenContactRepository;
       private readonly IAdminVerifyInsertService _adminVerifyService;
       private readonly IIMService _imService;

       public GroupChatUserService(IGroupChatUserRepository groupChatUserRepository,
           IGroupChatRepository groupChatRepository, IOftenContactRepository oftenContactRepository,
           IAdminVerifyInsertService adminVerifyService, IIMService imService)
       {
           _groupChatRepository = groupChatRepository;
           _groupChatUserRepository = groupChatUserRepository;
           _oftenContactRepository = oftenContactRepository;
           _adminVerifyService = adminVerifyService;
           _imService = imService;
       }
   }
}
