using GxPress.Repository.Interface;
using GxPress.Repository.Interface.AdminVerify;
using GxPress.Service.Interface.OftenContact;
namespace GxPress.Service.Implement.OftenContact
{
    public partial class OftenContactService : IOftenContactService
    {
        private readonly IOftenContactRepository _repository;
        private readonly IMiddleRepository _middleRepository;
        private readonly IUserRepository _userRepository;
        private readonly IGroupChatRepository _groupChatRepository;
        private readonly IGroupChatUserRepository groupChatUserRepository;
        private readonly IAdminVerifyRepository adminVerifyRepository;
        public OftenContactService(IOftenContactRepository repository, IMiddleRepository middleRepository, IUserRepository userRepository, IGroupChatRepository groupChatRepository, IGroupChatUserRepository groupChatUserRepository, IAdminVerifyRepository adminVerifyRepository)
        {
            _repository = repository;
            _middleRepository = middleRepository;
            _userRepository = userRepository;
            _groupChatRepository = groupChatRepository;
            this.groupChatUserRepository = groupChatUserRepository;
            this.adminVerifyRepository = adminVerifyRepository;
        }
    }
}
