using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.Category;

namespace GxPress.Service.Interface.Category
{
    public interface ICategoryService : IService
    {
        /// <summary>
        /// 内容导航分类
        /// </summary>
        /// <param name="typeValue"></param>
        /// <returns></returns>
        Task<IEnumerable<CategoryResult>> GetCategoryAllAsync(int typeValue = 0);
        Task<IEnumerable<CategoryResult>> GetCategoryChildrenAsync(int parentId, int typeValue);
        Task<CategoryResult> GetAsync(int id);
    }
}