using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Request.Media;
using GxPress.Result.Media;

namespace GxPress.Service.Interface.Epub
{
    public interface IEpubService : IService
    {
        /// <summary>
        /// 获取书籍目录
        /// </summary>
        List<BookCatalogResult> GetCatalog(string path);

        /// <summary>
        /// 获取章节内容
        /// </summary>
        /// <returns></returns>
         Task<string> GetBookCatalogContent(BookCatalogRequest request);
    }
}