using System.Threading.Tasks;
using GxPress.Request.App.IM;

namespace GxPress.Service.Interface.GroupChat
{
    public interface IGroupChatService : IService
    {
        /// <summary>
        /// 群添加用户
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> InsertUsersIntoGroupChatAsync(InsertGroupChatUsersRequest request);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="groupChatId"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int groupChatId);
    }
}