using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Request.App.IM;

namespace GxPress.Service.Interface
{
    public interface IGroupChatUserService : IService
    {
        /// <summary>
        /// 删除聊天成员
        /// </summary>
        /// <param name="groupChatUserIds"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(List<int> groupChatUserIds);

        Task<bool> AddUsers(InsertGroupChatUsersRequest request);

        /// <summary>
        /// 添加群用户
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(InsertGroupChatUsersRequest request);
    }
}
