using System.Collections.Generic;
using GxPress.Request.App.WorkMeeting;

namespace GxPress.Service.Interface.Meeting
{
    public interface IMeetingService : IService
    {
        /// <summary>
        /// 返回相邻的
        /// </summary>
        /// <param name="nums"></param>
        /// <returns></returns>
        Dictionary<int, List<int>> GetDictionary(List<int> nums);
        /// <summary>
        /// 获取会议的订阅时间
        /// </summary>
        /// <param name="orderList"></param>
        /// <returns></returns>
        Dictionary<List<TimeDictionary>, List<MeetingTime>> GetMeetingTimeDictionary(IEnumerable<Entity.WorkMeeting.MeetingOrder> orderList);
    }
}