using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Request.SystemLabel;
using GxPress.Result.SystemLabel;

namespace GxPress.Service.Interface.SystemLabel
{
    public interface ISystemLabelService : IService
    {
        Task<PagedList<SystemLabelResult>> GetAllPageAsync(SystemLabelRequest request);
        Task<IEnumerable<SystemLabelResult>> GetAllAsync();
        /// <summary>
        /// 获取明栏分页
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<SystemLabelResult>> GetAllStarLablePageAsync(Common.Page.PageParameter request);
        /// <summary>
        /// 获取明栏
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<SystemLabelResult>> GetStarLableAllAsync();
    }
}