using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.Topic;

namespace GxPress.Service.Interface.Topic
{
    public interface ITopicGroupService : IService
    {
        /// <summary>
        /// 根据用户ID获取分组
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<TopicGroup>> GetTopicGroupsAsync(int userId);
        /// <summary>
        /// 根据用户ID获取分组
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<TopicGroup>> GetListTopicGroupsAsync(int userId);
    }
}